// Stenger menyen når du trykker hvor som helst
// $(window).click(function(){
//   toggleHiddenMenu('hide');
// });

/*
// Kode for elementer som ikke stenger menyen
$('#hiddenMenu').click(function(event){
  event.stopPropagation();
});

// Knappen du trykker på for å åpne menyen
$('#button').click(function(event){
  event.stopPropagation();
  // toggleHiddenMenu(); //DROPDOWN-MENU DISABLED
  // loadPage("settings.html", translator.get("Settings"));
});
*/

$("#navHome").click(function(){
  loadPage(startPage);
});
$("#navSettings").click(function(){
  loadPage("settings.html", translator.get("Settings"));
});
$("#navGroups").click(function(event){

  if(!uid || isAnon){
    deviceConfirm(translator.get("You need to create an account in order to use reading groups"), "Register", function(){ loadPage("login.html#register"); }, "Cancel" );
  }
  else {
    //If click on open menu, go to first group?
    if($("#navGroupList").css("display") === "block"){
      if( userData.groups && (temp = Object.keys(userData.groups)).length == 1){
        currGroupID = temp[0];
        loadPage("group.html", userData.groups[currGroupID].name);
      }
      else if(currGroupID != ""){
        loadPage("group.html", userData.groups[currGroupID].name);
      }
      $("#navGroupList").slideUp(200);
    }
    else {
      $("#navGroupList").slideDown(200);
    }

    $(window).one('click',function(){
      $("#navGroupList").slideUp(200);
    });
  }
});

$("#navGroupList, #navGroups").click(function(event){
  event.stopPropagation();
});
$("#navGroupList a").click(function(e){
  e.preventDefault();
  $("#navGroupList").slideUp(200);
  currGroupID = $(this).attr("gID");
  loadPage("group.html", $(this).html() );
});

/* Hidden menu is disabled
function toggleHiddenMenu( action ){
  console.warn("THIS FUNCTION IS DISABLED!? (toggleHiddenMenu())");
  if(action == "hide"){
    $('#hiddenMenu').slideUp(400, function(event){
      $('.navbarframe').removeClass('navbarframe-frontpage navbarframe-newplan navbarframe-login navbarframe-blue');
      $(window).scroll();
    });
  }
  else if(action == "show"){
    $('#hiddenMenu').slideDown();
  }
  else {
    $('#hiddenMenu').slideToggle(400, function(event){
      if( $("#hiddenMenu").css("display") == "none" ){
        $('.navbarframe').removeClass('navbarframe-frontpage navbarframe-newplan navbarframe-login navbarframe-blue');
        $(window).scroll();
      }
    });
  }
  if( $("#hiddenMenu").css("display") != "none" ){
    if( currentPage == "profile.html" ){ $('.navbarframe').addClass('navbarframe-frontpage'); }
    else if( currentPage == "newplan.html" ){ $('.navbarframe').addClass('navbarframe-newplan'); }
    else if( currentPage == "login.html" ){ $('.navbarframe').addClass('navbarframe-login'); }
    else { $('.navbarframe').addClass('navbarframe-blue'); }
  }
}*/

// May be removed? (ETS 17-08-2018)
// function hideMenu(){
//   if($( window ).width() >= 880){
//     $('#button').hide();
//     //$('#actualMenu').hide();
//     $('.navbar').show();
//   }
//   else{
//     $('#button').show();
//     $('.navbar').hide();
//   }
// }
// hideMenu();

// $( window ).resize(function() {
  // if($( window ).width() >= 880){
    // $('#button').hide();
    // $('#hiddenMenu').hide();
    // $('.navbar').show();
  // }
  // else{ // Mobil-utgaven:
    // $('#button').show();
    // $('.navbar').hide();
  // }
// }); $( window ).resize();


// Legger til bakgrunn på menyen når bruker scroller ned på siden
$(window).scroll(function(){
  // if( $("#hiddenMenu").css("display") == "none" ){
    if($(document).scrollTop() > 3){
      if( currentPage == "profile.html" ){ $('.navbarframe').addClass('navbarframe-frontpage'); }
      else if( currentPage == "newplan.html" ){ $('.navbarframe').addClass('navbarframe-newplan'); }
      else if( currentPage == "login.html" ){ $('.navbarframe').addClass('navbarframe-login'); } // actually does nothing
      else if( currentPage == "settings.html" ){ /* do nothing */ }
      else { $('.navbarframe').addClass('navbarframe-blue'); }
    }
    else {
      $('.navbarframe').removeClass('navbarframe-frontpage');
      $('.navbarframe').removeClass('navbarframe-newplan');
      $('.navbarframe').removeClass('navbarframe-login');
      $('.navbarframe').removeClass('navbarframe-blue');
    }
  // }
});
