/*jshint sub:true, esversion: 6*/
$( document ).on("ready",function(){
  // loadScripts( window.location.pathname.slice(1) ); // IS THIS ONE NEEDED?
  /** DEV **/if($("html").hasClass("gecko") && $("html").hasClass("win")){ $("body").css("overflow-y","scroll"); } //when in firefox on windows, always show scrollbar, for better dev-experience
});

// CORDOVA PART
document.addEventListener("deviceready", onDeviceReady, false);
function onDeviceReady(){
  console.log("device is ready");
  deviceIsReady = true;
  $("#appVersion").html( "Bibleplan Alpha " + appVersion );

  console.log( "Device langauge: "+ navigator.language );
  consoleTest += "Device langauge: "+ navigator.language+"<br>\n";

  // alert("device is ready!" + device.platform);

  // For the android BACK button
  document.addEventListener("backbutton", onBackKeyDown, false);
  function onBackKeyDown() {
    if(currentPage == startPage){
      navigator.app.exitApp();
    }
    else if(currentPage == "group.html" || currentPage == "settings.html"){
      loadPage(startPage);
    }
    else {
      goBack();
    }
    // alert("back key");
  }
}

function setNotifications( testing ){
  testing = testing || false;
  setMinutes = userData.settings.notification;

  // Cancel all notifications
  if( deviceIsReady ){ cordova.plugins.notification.local.cancelAll(); }

  // FOR TESTING
  if( testing ){
    var now = new Date();
    var setWeekday = now.getDay();
    var setHour = now.getHours();
    var nextMinute = now.getMinutes();
    if( nextMinute > 59 ){
      setHour++;
      nextMinute = 1;
    }
  }


  if( setMinutes >= 0 ){
    notiHour = Math.trunc( setMinutes / 60 );
    notiMins = setMinutes - notiHour*60;

    weekdays = userData.settings.weekdays.split("");

    var schedule = [], scheduled = 0, tries = 0, schDay = new Date().getDay()-1;
    // if(schDay == -1){ schDay = 6; } // weekstart-fix (0 is monday)
    // schTime = new Date();
    // schTime.setHours(notiHour);
    // schTime.setMinutes(notiMins);
    // newSchTime = schTime;
    // do {
      $.each( weekdays, function( index, value ){ // value = 0 is monday
      // if(weekdays.indexOf( String(schDay) ) != -1){
        scheduled++;
        // newSchTime.setDate(schTime.getDate()+schDay);
        value = Number( value );
        if( value >= 6 ){ weekday = 0; }
        else { weekday = value+1; }

        if( testing ){
          schedule.push({
            id: scheduled,
            title: 'Bibleplan',
            text: translator.get('Remeber to read your Bible today!'),
            trigger: { every: { weekday: setWeekday, hour: setHour, minute: nextMinute, second: 0 } }
          });
        } // WARN: THE count: 1 PART SPAMS iOS LOGS
        else {
          var notification = {
            id: scheduled,
            title: 'Bibleplan',
            text: translator.get('Remeber to read your Bible today!'),
          };
          if(typeof device != "undefined" && device.platform == "Android"){
            notification["trigger"] = { every: { weekday: weekday, hour: notiHour, minute: notiMins, second: 0 }, count: 1 };
          }
          else {
            notification["trigger"] = { every: { weekday: weekday, hour: notiHour, minute: notiMins, second: 0 } };
          }

          schedule.push(notification);
        }
        // text: 'You have chapters to read today! weekday: '+weekday+' at '+notiHour+':'+notiMins,

        // FOR TESTING
        nextMinute++;
        if( nextMinute > 59 ){
          setHour++;
          nextMinute = 1;
        }
      });

      if(schDay == 7){ schDay = 0; }
      else { schDay++; }
    /*  tries++;
    }
    while(scheduled < 7 && tries < 30);*/

    if(schedule.length > 0){
      if( deviceIsReady ){ cordova.plugins.notification.local.schedule( schedule ); }
      console.log( schedule );
      console.log( schedule.length+" notifications set!" );
      consoleTest += "Notifications set!"+"<br />\n";
    }
    else {
      console.log("No notifications scheduled!");
      consoleTest += "No notifications scheduled!"+"<br />\n";
    }

  }
  else {
    console.log("Notifications are disabled!");
    consoleTest += "Notifications are disabled!"+"<br />\n";
  }
}

function deviceConfirm(){ // label, button1, func1, button2, func2 ...
  label = arguments[0];
  var buttonLabels = [];
  var buttonFunctions = [];
  for(var i = 1; i<arguments.length;i++){
    if(i%2){ // if i is odd (1,3,5) E.G: buttonLabel
      buttonLabels.push( translator.get( arguments[i] ) );
    }
    else { //if i is even (2,4,6) E.G: func()
      buttonFunctions.push( arguments[i] );
    }
  }

  if(buttonLabels.length == 1 && arguments[1] == "Yes"){
    buttonLabels.push(translator.get("No"));
  }

  // var yesLabel = translator.get("Yes"), noLabel = translator.get("No");
  if(navigator.notification){
    navigator.notification.confirm(
      label,    // message
      function(buttonIndex){
        try{
          buttonFunctions[buttonIndex-1]();
        }
        catch(err) {
          // alert("Couldn't do function - not found?"); /**DEV PLEASE TEST ME! */
        }

        // if(buttonIndex==1){ funk(); }
      },   // callback to invoke with index of button pressed
      'Bibleplan',        // title
      // [yesLabel,noLabel]  // buttonLabels
      buttonLabels  // buttonLabels
    );
  }
  else {
    newLabel = label +"\nAlternatives: "+buttonLabels.join(",");
    try{
      if(confirm(newLabel)){
        buttonFunctions[0]();
      }
      else {
        buttonFunctions[1]();
      }
    }
    catch(err) {
      console.warn("Couldn't do function - not found?");
      // alert("Couldn't do function - not found?"); /**DEV PLEASE TEST ME! */
    }
  }
}

// Hook into links
$(".navbarframe a").parent().on("click",function(event){
  event.preventDefault();
  var aElem = $( this ).children()[0];
  url = $( aElem ).attr("href");

  console.log("Navbar-button clicked!");

  // if(url == "goBack"){ goBack(); }
  // else if(url == "#goBack"){ goBack(); }
  // else {
    title = $( aElem ).html();
    console.log( url );
    loadPage( url, title );
  // }
});

var firebaseListenersToStop = [];
function loadScripts( url ){
  if(uid){
    database.ref('users/' + uid).off(); // Stop listening to setting-changes [TESTING]
    if(userData.groups){ database.ref('groups/').off(); } // STOP listening to GROUP UPDATES
    if(firebaseListenersToStop.length > 0){
      database.ref(firebaseListenersToStop[0]).off();
      firebaseListenersToStop.pop( firebaseListenersToStop[0] );
    } // STOP last listener
  }
  doneLoading();
  currentPage = url;
  // $("body").css("overflow","");
  if(url == ""){ if(window.location.pathname == "/"){ newplanScripts(); } }
  else if(url == "newplan.html"){ newplanScripts(); }
  else if(url == "newplan-proto.html"){ newplanScripts(); }
  // else if(url == "newplan-setup.html"){ newplanSetupScripts(); }
  else if(url == "newplan-setup.html"){ loadJS('newplan-setup.js'); }
  else if(url == "demo.html"){ demoScripts(); }
  else if(url == "profile.html"){ profileScripts(); }
  else if(url == "login.html"){ loginScripts(); }
  else if(url == "login.html#register"){ loginScripts("register"); }
  // else if(url == "settings.html"){ settingsScripts(); }
  else if(url == "settings.html"){ loadJS('settings.js', function(){ settingsScripts(); }); }
  else if(url == "readmore.html"){ readmoreScripts(); }
  else if(url == "group.html"){ groupScripts(); }
  else if(url == "group_create.html"){ createGroupScripts(); }
  else if(url == "group_settings.html"){ groupSettingsScripts(); }
  else if(url == "group_members.html"){ groupMembersScripts(); }
  else if(url == "group_info.html"){ groupInfoScripts(); }
  else if(url == "group_join.html"){
    $("#joinGroupForm").on("submit", function(event){
      event.preventDefault();

      if($("#joinGroupForm input").val() == ""){
        alert(translator.get("Please provide a link or code here to join a group!"));
        return;
      }

      var inputURL = ($("#joinGroupForm input").val()).split("/");
      var joinLink;
      if(inputURL[ inputURL.length-1 ].length > 0){
        joinLink = inputURL[ inputURL.length-1 ];
      }
      else if(inputURL[ inputURL.length-2 ]){
        joinLink = inputURL[ inputURL.length-2 ];
      }

      console.log("Join: "+joinLink );
      database.ref("/links/"+joinLink).once("value").then(function(snapshot){
        if(!snapshot.exists()){
          alert(translator.get("The link doesn't work."));
          return;
        }

        linkData = snapshot.val();

        if(linkData.expire > 0 && (linkData.created < Date.now()-(linkData.expire*60*1000))){
          console.warn("Is link expired?");
          alert(translator.get("The link you are using is expired!"));
          return;
        }

        joinGroup( linkData.group );
      });
    });
  }

  else if(url == "language.html"){                // CHANGE LANGUAGE
    $(".changeLanguage").unbind();
    $(".changeLanguage").on('click', function( event ){
      event.preventDefault();
      setLanguage = $( this ).attr('id');
      firebase.auth().languageCode = setLanguage;
      if(uid){ database.ref('users/'+uid+'/settings').update({ language: $( this ).attr('id') }); }
      console.log("Language changed to: "+ $( this ).attr('id'));
      loadPage( startPage );
    });
  }

  else if(url == "reset_password.html"){                // RESET PASSWORD
    $("#resetPassword").on("submit",function(event){
      event.preventDefault();

      firebase.auth().sendPasswordResetEmail( $("#forgotEmail").val()  ).then(function(){
        // Email sent.
        console.log("Reset email sent!");
        $("#resetErrors").hide();
        $("#resetSuccess").show();
        $("#resetSuccess").html( translator.get("Reset email sent!") );
      }).catch(function(error) {
        // Handle Errors here.
        var errorCode = error.code;
        var errorMessage = error.message;

        $("#resetErrors").show();
        $("#resetErrors").html( errorMessage );

        setTimeout(function() { $("#resetErrors").fadeOut(1000); }, 12500);
        console.log(error);
      });
    });
  }

  // Insert app-version in every .appVersion element (replaces x.x.x)
  $(".appVersion").each(function(){
    var versionText = $( this ).html();
    $( this ).html( versionText.replace("x.x.x", appVersion) );
  });

  // TRANSLATE
  translator = $("body").translate({lang: setLanguage, t: dict});
  console.log("Translate into: "+setLanguage);
}

var translator;
var dict = {};
// if(appVersion.slice(0,2)=="da"){ var dictFile = "locale/dictionary.php"; }
/** DEV **/if(location.href.indexOf("bibleplan.loc") >= 0){ var dictFile = "locale/dictionary.php"; } // If run on the local url, use the php-file
else {
  var dictFile = "locale/dictionary.json";
}
$.getJSON(dictFile, function( json ){
  dict = json;
  console.log("Dictionary loaded");
  translator = $("body").translate({lang: setLanguage, t: dict});
}); // translator = $("body").translate({lang: setLanguage, t: dict});

// $("#back-arrow").one('click',function(event){ event.preventDefault(); goBack(); }); //WHY IS THIS HERE?

function registerPlan(userid, length, book, planNr){
  planNr = planNr || 0;
  length = length;
  book = book || "The New Testament";

  if(!userid){
    console.log("registering as anon");
    // registerAnon();
    firebase.auth().signInAnonymously().then(function(){
      uid = firebase.auth().currentUser.uid;
      database.ref('users/' + uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-" }); // REGISTER USER
      database.ref('users/' + uid + '/settings').update({ language: setLanguage }); // UPDATE LANGUAGE
      console.log("Registered anon");
      consoleTest += "Registered Anon"+"<br />\n";

      registerPlan1(uid, length, book, planNr);

    }).catch(function(error) {
      // Handle Errors here.
      var errorCode = error.code;
      var errorMessage = error.message;
      if(errorCode != 0){
        console.log("AnonLogin error "+errorCode+": "+errorMessage);
      }
    });
  }
  else {
    registerPlan1(userid, length, book, planNr);
  }
}
function registerPlan1(userid, length, book, planNr){
  planNr = planNr || 0;
  console.log("Registering user for a "+length+"day plan");
  consoleTest += "Registering user for a "+length+"day plan"+"<br />";
  database.ref('users/'+userid+'/plans/'+planNr).set({
    cursor: {
      0: {
        0: -1
      }
    },
    daily: 4,
    length: length,
    log: { 0: { 0: 'log' } },
    method: "plan",
    reading: book,
    start: Date.now()
  });
  if(!userData.settings.weekdays){
    database.ref('users/'+userid+'/settings').update({
      weekdays: "0123456"       // weekdays starting monday - default every day
    });
  }
  consoleTest += "... done"+"<br />\n";

  presetPlan = true;
  loadPage("newplan-setup.html", " ");

  if(length != 0){
    // checkStartPage( userid );  // set start page to be "profile", and send user there
  }
}


function setDemoShortPlan(){
  var someTimeAgo = new Date();
  someTimeAgo.setDate(someTimeAgo.getDate() - 30);

  database.ref('users/'+uid+'/plans/0').set({
    cursor: {
      0: {
        6: 3
      }
    },
    daily: 4,
    length: 60,
    log: {
      0: "*",
      1: "*",
      2: "*",
      3: "*",
      4: "*",
      5: "*",
      6: [ 1539993600000, 1539993600000, 1539993600000, 1539993600000 ]
    },
    method: "plan",
    reading: "The New Testament",
    start: someTimeAgo.valueOf()
  });
  database.ref('users/'+uid+'/settings').update({
    notification: 1080,
    weekdays: "0123456"
  });

  loadPage( "profile.html", "Bibleplan" );
}

function setDemoPlan(){
  var someTimeAgo = new Date();
  someTimeAgo.setDate(someTimeAgo.getDate() - 180);

  database.ref('users/'+uid+'/plans/0').set({
    cursor: {
      0: {
        19: 3
      }
    },
    daily: 4,
    length: 360,
    log: {
      0: "*",
      1: "*",
      2: "*",
      3: "*",
      4: "*",
      5: "*",
      6: "*",
      7: "*",
      8: "*",
      9: "*",
      10: "*",
      11: "*",
      12: "*",
      13: "*",
      14: "*",
      15: "*",
      16: "*",
      17: "*",
      18: "*",
      19: [ 100000000, 100000000, 100000000, 100000000 ]
    },
    method: "plan",
    reading: "The Old Testament+The New Testament",
    start: someTimeAgo.valueOf()
  });
  database.ref('users/'+uid+'/settings').update({
    notification: 1080,
    weekdays: "0123456"
  });

  loadPage( "profile.html", "Bibleplan" );
}


function changePassword( oldPwd, newPwd, repNewPwd ){
  var user = firebase.auth().currentUser;

  // credential = firebase.auth().UserCredential( user.email , oldPwd);
  if(newPwd == repNewPwd){
    firebase.auth().signInWithEmailAndPassword( user.email, oldPwd ).then(function(){

      // user.reauthenticateAndRetrieveDataWithCredential(credential).then(function() {

        user.updatePassword(newPwd).then(function() {
          console.log("Password updated!");
          $("#changeResponse").html(translator.get("Password updated successfully!")).show();
        }).catch(function(error) {
          console.log("Password failed to update!");
          console.log( error );
          $("#changeResponse").html(translator.get("Failed to update password:")+" "+error.message).show();
        });

      // }).catch(function(error) {
      //   console.log("Wrong old password!");
      //   console.log( error );
      // });
    }).catch(function(error) {
      console.log("Wrong old password!");
      console.log( error );
      $("#changeResponse").html(translator.get("Wrong old password")).show();
    });
  }
  else {
    console.log("Passwords didn't match!");
    $("#changeResponse").html("Passwords didn't match!").show();
  }
}

function getErrorMessage( error ){
  var errorCode = error.code;
  var errorMessage = error.message;

  if(errorCode === 'auth/invalid-email'){
    return translator.get('Invalid email. Please check your spelling!');
  }
  else if(errorCode === 'auth/weak-password'){
    return translator.get('The password must be 6 characters long or more.');
  }
  else if(errorCode === 'auth/wrong-password' || errorCode === 'auth/user-not-found') {
    return translator.get('Wrong username or password!');
  }
  else {
    return errorMessage;
  }
}

function isNumeric(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}




/*******************************/
/******** NEWPLAN STUFF ********/
/*******************************/
function newplanScripts(){
  if(uid && !isAnon){
    $(".newPlanLogin").hide();
  }

  if(currentPage != startPage){
    $(".newPlanLogin").parent().css("right","0");
  }

  $(".boxes").click(function(){
    var newUrl = $( this ).attr("href");
    console.log( newUrl );

    if( newUrl == "#custom"){
      deviceConfirm(translator.get("Are you sure you want to choose this custom plan?"), "Yes", function(){ loadPage( "newplan-setup.html", " "); });
    }
    else if( newUrl == "login.html"){
      loadPage( newUrl, "Login");
    }
    else if( newUrl.slice(5,8) == "Old" && !isNaN( newLength = Number( newUrl.slice(8) ) )){
      deviceConfirm(translator.get("Are you sure you want to choose this 0 day plan?").replace("0",newLength), "Yes", function(){ registerPlan( uid, newLength, "The Old Testament" ); });
    }
    else if(newUrl.slice(5,8) == "New" && !isNaN(newLength = Number( newUrl.slice(8) ))){
      deviceConfirm(translator.get("Are you sure you want to choose this 0 day plan?").replace("0",newLength), "Yes", function(){ registerPlan( uid, newLength, "The New Testament" ); });
    }
    else if(!isNaN( newLength = Number( newUrl.slice(5) ) )){
      deviceConfirm(translator.get("Are you sure you want to choose this 0 day plan?").replace("0",newLength), "Yes", function(){ registerPlan( uid, newLength, bothString ); });
    }
    else {
      console.warn("Plan not found! Please report this!");
    }
  });
}

var books = {};
var chapters = {};
var totalChapters = {};
var totalBooks = {};
var bothString = "The Old Testament+The New Testament"; // NT0 = BothT39

var totalPages = 0;
$.getJSON("data/books.json", function( json ){
  books = json;
  books[bothString] = {};

  totalBooks[bothString] = 0;
  totalChapters[bothString] = 0;
  chapters[bothString] = {};
  var x;
  for(x in books){
    if(x!=bothString){
      console.log("checking book: "+x);
      chapters[x] = {};
      totalChapters[x] = 0;
      totalBooks[x] = 0;
      var y;
      for(y in books[x]){
        y = Number(y);
        if( x == bothString.split("+")[1] ){ newY = 39+y; }
        else { newY = y; }
        totalBooks[x]++;
        totalBooks[bothString]++;

        chapters[x][y] = books[x][y].chapters.length;
        totalChapters[x] += books[x][y].chapters.length;

        books[bothString][newY] = books[x][y];
        chapters[bothString][newY] = books[x][y].chapters.length;
        totalChapters[bothString] += books[x][y].chapters.length;
      }
    }
  }
});




/*********************************/
/****** NEWPLAN SETUP STUFF ******/
/********************************* /
var dontRead = [];
var newplanSetup = { notification: 1080, plan: { daily: 4, length: 180, weekdays: "0123456" } };
var newplanSetupPlan = { daily: 4, length: 180 };
var newplanSetupSett = { notification: 1080, weekdays: "0123456" };
function newplanSetupScripts(){
  console.log("Loading NEWPLAN-SETUP scripts!");

  if( presetPlan && uid ){
    $("#newSetupNotif #profileHeadline").html(translator.get("Almost done"));
    $("#newSetupBook").remove();
    $("#newSetupPlan").remove();
    $("#newSetupReadMuliplePlaces").remove();
    $("#thirdSlideContinue").removeClass("arange_inactive");
    if(!isAnon){
      $("#newSetupUser").remove();
      $("#thirdSlideContinue").html(translator.get("Start reading")).removeClass("nextSlide").addClass("newplanSubmit");
    }
    else {
      $("#newSetupUser #profileHeadline").html(translator.get("Almost done"));
      $("#fourthSlideRegister").removeClass("arange_inactive");
      $("#fourthSlideSkip").removeClass("arange_inactive").css("color","rgb(24, 8, 255)");
    }
  }
  else if(uid){
    if(!isAnon){
      $("#newSetupUser").remove();
    }
    $("#thirdSlideContinue").html(translator.get("Start reading")).removeClass("nextSlide").addClass("newplanSubmit arange_inactive");
  }

  $("#wrapper-frontpage").slick({
    accessibility: false,
    arrows: false,
    infinite: false,
    touchThreshold: 10,
    draggable: false
  });

  $(".nextSlide").unbind().click(function(event){ event.preventDefault(); $("#wrapper-frontpage").slick('slickNext'); });

  // SETUP BOOKS
  newplanSetup.book = bothString;
  newplanSetupPlan.reading = bothString;
  var booksHtml = '<ul class="menu menuChecklist">\n';
  var bookCount = 0;
  for(;books[bothString];){
    if( typeof books[bothString][ bookCount ] !== 'undefined'){
      var thisBook = books[bothString][ bookCount ];
      booksHtml += '<li id="li'+bookCount+'"><label><a class="menutext menutextCheckmark"><input class="myinput bright checkboxListmenu" type="checkbox" checked="checked" id="sel'+bookCount+'" name="'+bookCount+'" /><input style="display: none;" type="checkbox" class="myinput bright focusBook" id="focus'+bookCount+'" name="focus'+bookCount+'">'+translator.get( thisBook.name )+'</a></label></li>';
      bookCount++;
    }
    else {
      break;
    }
  }
  booksHtml += '</ul>\n';
  $("#setupBooks").html(booksHtml);
  $(".selList").unbind().click(function(event){
    event.preventDefault();

    if($(this).attr('id') == "selAll"){ $(".checkboxListmenu").each(function(value, key){ $("#sel"+value).prop("checked",true); }); }
    else if($(this).attr('id') == "selNone"){ $(".checkboxListmenu").each(function(value, key){ $("#sel"+value).prop("checked",false); }); }
    else if($(this).attr('id') == "selNT"){
      $(".checkboxListmenu").each(function(value, key){
        if(value < 39){ $("#sel"+value).prop("checked",false); }
        else { $("#sel"+value).prop("checked",true); }
      });
    }
    else if($(this).attr('id') == "selOT"){
      $(".checkboxListmenu").each(function(value, key){
        if(value < 39){ $("#sel"+value).prop("checked",true); }
        else { $("#sel"+value).prop("checked",false); }
      });
    }
  });
  $("input[name=focusOn]").on('change', function(){
    if( $(this).val() == "doFocus" ){
      $(".focusBook").show();
    }
    else {
      $(".focusBook").hide();
    }
  });
  $(".checkboxListmenu, .selList").on('click',function(){
    $(".chStart").prop("checked",false);
    $("#chStartSelect").hide();
    $("#chStartContinue").addClass("arange_inactive");
  });
  // $("#setupBooks input").click(function(event){
  //   // $("input:checked").val()
  //   console.log("Click: "+$(this).attr("name")+" is checked ("+$(this).is(":checked")+")");
  // });

  // CHECK every book up until 55 as uncheked:
  // $(".checkboxListmenu").each(function(value, key){ if(value < 55){ $("#sel"+value).prop("checked",false); } });


  // Choose start
  newplanSetupPlan.cursor = { 0: { 0: -1 } }; //default
  $(".chStart").on('change', function(){
    if( $("input:checked.chStart").val() == "yes" ){
      $("#chStartSelect").show();
      $("#chStartContinue").addClass("arange_inactive");

      listElemHTML = "";
      $("input:checked.checkboxListmenu").each(function(key, value){
        bookListId = Number($(value).attr('id').slice(3));
        listElemHTML += "<option value='"+bookListId+"'>"+translator.get(books[bothString][bookListId].name)+"</option> ";
      });
      $(".chStartList").each(function(index){
        if($(this).attr("id")=="drop1"){ $(this).html(listElemHTML); }
        else {
          $(this).html("<option>--</option>"+listElemHTML);
        }
        $(this).on('change', function(){
          if($(this).val()){
            newplanSetupPlan.cursor[index] = [];
            newplanSetupPlan.cursor[index][$(this).val()] = -1;
            $("#chStartContinue").removeClass("arange_inactive");
          }
        });
      });
    }
    else {
      $("#chStartSelect").hide();
      $("#chStartContinue").removeClass("arange_inactive");
      newplanSetupPlan.cursor = { 0: { 0: -1 } }; //default
    }
  });



  // Reading method
  $(".pMethod").on('change', function(){
    if( $("input:checked.pMethod").val() == "methodDaily" ){
      $("#methodPlan-wrapper").hide();   $("#methodDaily-wrapper").show();
      newplanSetup.plan.method = "daily";
      newplanSetupPlan.method = "daily";
    }
    else if( $("input:checked.pMethod").val() == "methodPlan" ){
      $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").show();
      newplanSetup.plan.method = "plan";
      newplanSetupPlan.method = "plan";
    }
    else if( $("input:checked.pMethod").val() == "methodFree" ){
      $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").hide();
      newplanSetup.plan.method = "free";
      newplanSetupPlan.method = "free";
    }
    // ENABLE BUTTONS
    $("#secondSlideContinue").removeClass("arange_inactive");
    $(".newplanSubmit").removeClass("arange_inactive");
    $("#fourthSlideSkip").css("color","rgb(24, 8, 255)");
  });

  // DAILY CHAPTERS
  // $("#dailyChapters").val(newplanSetup.plan.daily);
  $("#dailyChapters").val(newplanSetupPlan.daily);
  $("#dailyChapters").on('change', function(){
    newplanSetup.plan.daily = Number( $( this ).val() );
    newplanSetupPlan.daily = Number( $( this ).val() );
  });

  // FOLLOWING PLAN
  planStart = new Date();
  planEnd = new Date( planStart );
  // planEnd.setDate(planStart.getDate() + newplanSetup.plan.length);
  planEnd.setDate(planStart.getDate() + newplanSetupPlan.length);
  $("#planStart").val( planStart.toISOString().substr(0, 10) );  // start day
  $( "#planEnd" ).val( planEnd.toISOString().substr(0, 10) );    // end day
  // $("#planDynLength").html( translator.get("Plan length")+": "+newplanSetup.plan.length );
  $("#planDynLength").html( translator.get("Plan length")+": "+newplanSetupPlan.length );

  newplanSetup.plan.start = new Date( $("#planStart").val() ).getTime();
  newplanSetupPlan.start = new Date( $("#planStart").val() ).getTime();

  // UPDATE START DATE
  $("#planStart").on('change', function(){
    planStart = new Date( $( this ).val() );
    newplanSetup.plan.start = planStart.getTime();
    newplanSetupPlan.start = planStart.getTime();

    var newEnd = new Date( $("#planEnd").val() );
    var newEnd1 = Number(((newEnd - planStart) / (1000*60*60*24)).toFixed(0));

    $("#planDynLength").html( translator.get("Plan length")+": "+ newEnd1 );

    if( newEnd1 < 400 && newEnd1 > 0 ){
      newplanSetup.plan.length = newEnd1;
      newplanSetupPlan.length = newEnd1;
      $("#planDynLength").css("color","");
    }
    else {
      $("#planDynLength").css("color","#ff384d");
    }
  });

  // UPDATE PLAN LENGTH via end date
  $("#planEnd").on('change', function(){
    var newEnd = new Date( $( this ).val() );
    var newEnd1 = Number(((newEnd - planStart) / (1000*60*60*24)).toFixed(0));

    $("#planDynLength").html( translator.get("Plan length")+": "+ newEnd1 );

    if( newEnd1 < 400 && newEnd1 > 0 ){
      newplanSetup.plan.length = newEnd1;
      newplanSetupPlan.length = newEnd1;
      $("#planDynLength").css("color","");
    }
    else {
      $("#planDynLength").css("color","#ff384d");
    }
  });


  // Weekdays
  // weekdays = newplanSetup.plan.weekdays.split("");
  weekdays = newplanSetupSett.weekdays.split("");
  $("#weekday div").removeClass("weekdaySelected");
  $.each( weekdays, function( index, value ){
    weekday = value.toString();
    $("#weekday div#"+weekday).addClass("weekdaySelected");
  });

  $("#weekday div").on('click', function(){
    toggleThis = $( this ).attr('id').toString();
    if( weekdays.indexOf( toggleThis ) >= 0){
      if(weekdays.length > 1){
        key = weekdays.indexOf( toggleThis );
        weekdays.splice( key, 1 );
        newWeekdays = weekdays.join("");
        $(this).removeClass("weekdaySelected");
      }
    }
    else {
      weekdays.push( toggleThis );
      newWeekdays = weekdays.join("");
      $(this).addClass("weekdaySelected");
    }
    newplanSetup.plan.weekdays = newWeekdays;
    newplanSetupSett.weekdays = newWeekdays;
  });


  // Notifications
  // notiMinutes = newplanSetup.notification;
  notiMinutes = newplanSetupSett.notification;
  if(notiMinutes >= 0){
    $("#notificationTime").attr("disabled",false);
    $("#notificationToggle").attr('checked',true);

    notiHrs = Math.trunc( notiMinutes / 60 );
    notiMins = notiMinutes - ( notiHrs * 60 );
    $("#notificationTime").val( ("0" + notiHrs).slice(-2) + ":" + ("0" + notiMins).slice(-2) );

    $("#notificationTime").on('change', function(){
      newTime = $( this ).val().split(':');
      newVal = Number(newTime[1]) + ( Number(newTime[0]) * 60);
      newplanSetup.notification = newVal;
      newplanSetupSett.notification = newVal;
    });
  }
  else {
    $("#notificationTime").val("--:--").attr("disabled",true);
    $("#notificationToggle").attr('checked',false);
  }

  $("#notificationToggle").on('click', function(){
    if($("#notificationToggle").is(':checked')){
      newTogg = 60*12;
      $("#notificationTime").val("12:00").attr("disabled",false);
    }
    else {
      newTogg = -1;
      $("#notificationTime").val("").attr("disabled",true);
    }
    newplanSetup.notification = newTogg;
    newplanSetupSett.notification = newTogg;
  });


  // CREATE USER (translations)
  if($("#newSetupUser").length > 0){
    $("#register_usr_email").attr("placeholder",translator.get("Email"));
    $("#register_pwd").attr("placeholder",translator.get("Password"));
    $("#setupCreateTOS").html(
      $("#setupCreateTOS").html()
       .replace("I have read and accept the", translator.get("I have read and accept the"))
       .replace("Terms of Service", translator.get("Terms of Service"))
    );

    $("#privacyLink").unbind().click(function(event){
      event.preventDefault();
      loadPage( $(this).attr("href") );
    });
  }


  // SUBMIT BUTTON
  $(".newplanSubmit").unbind().click(function(event){
    event.preventDefault();

    if( !presetPlan ){

      dontRead = [];
      $("#setupBooks input").each(function(){
        if(!$(this).is(":checked")){
          // do something for every unchecked mark
          dontRead.push($(this).attr("name"));
        }
      });
      // console.log("User won't read these: "+dontRead.join(","));
      newLog = { 0: { 0: 'log' } };
      if(dontRead.length > 0){
        for(i=0;i<dontRead.length;i++){
          newLog[dontRead[i]] = false;
        }
      }
      // console.log("New log:", newLog);

      if(!$(this).hasClass("arange_inactive")){
        //SAVE PLAN
        newplanSetupPlan.log = newLog;

        if(!uid && $(this).attr("id")=="fourthSlideRegister"){
          if( $("#acceptTOS").is(":checked") ){
            firebase.auth().createUserWithEmailAndPassword( $("#register_usr_email").val(), $("#register_pwd").val() )
              .then(function(user){
                // what to do on success
                console.log("register success?", user);
                uid = user.uid;

                database.ref('users/' + uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-", settings: { language: setLanguage } });

                // DO THE THING
                database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
                database.ref('users/'+uid+'/settings').update( newplanSetupSett );

                location.reload();
              }, function(error) {
                // throw error message
                console.log("Register error", error);
                $("#registerErrors").show();
                clearTimeout( regErr );
                $("#registerErrors").html( getErrorMessage( error ) );
                regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
              });
          }
          else {
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          }
        }
        else if(!uid){
          firebase.auth().signInAnonymously().then(function(user){
            console.log("registering anon",user);
            uid = user.user.uid;
            database.ref('users/' + uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-", settings: { language: setLanguage } });
            console.log("Registered anon");   consoleTest += "Registered Anon"+"<br />\n";

            // DO THE THING
            database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
            database.ref('users/'+uid+'/settings').update( newplanSetupSett );

            location.reload();
          });
        }
        else {
          // DO THE THING
          database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
          database.ref('users/'+uid+'/settings').update( newplanSetupSett );

          // checkStartPage(uid);
          location.reload();
        }
      }

    }
    else {

      // WHEN THE PLAN IS ALREADY SET (eg: preset plan)
      if(!$(this).hasClass("arange_inactive")){ //not really relevant, but adding it anyway
        console.info("triggered preset plan submit");

        if(uid && isAnon && $(this).attr("id")=="fourthSlideRegister"){
          if( $("#acceptTOS").is(":checked") ){

            var credential = firebase.auth.EmailAuthProvider.credential($("#register_usr_email").val(), $("#register_pwd").val());
            firebase.auth().currentUser.linkAndRetrieveDataWithCredential(credential).then(function(usercred) {

              // UPDATE THE INFO HERE
              database.ref('users/'+uid+'/settings').update({ notification: newplanSetup.notification, weekdays: newplanSetup.plan.weekdays });
              presetPlan = false;

              // checkStartPage( uid );
              location.reload();

            }, function(error) {
                // throw error message
                console.log("Anon upgrade error", error);
                $("#registerErrors").show();
                clearTimeout( regErr );
                $("#registerErrors").html( getErrorMessage( error ) );
                regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
              });

          }
          else {
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          }
        }
        else if(uid){
          // UPDATE THE INFO HERE
          database.ref('users/'+uid+'/settings').update({ notification: newplanSetup.notification, weekdays: newplanSetup.plan.weekdays });
          presetPlan = false;
          // checkStartPage( uid );
          location.reload();
        }
        else {
          console.warn( "Something went wrong, please try again!" );
          alert( "Something went wrong, please try again!" );
        }
      }
    }
  });

  // // FIX BROKEN PRIVACY LINK
  // $("#main-content a").on("click",function(event){
  //   url = $( this ).attr("href");
  //   if( url.substr(0,4) != "http" ){
  //     event.preventDefault();
  //     title = $( this ).html();
  //     loadPage( url, title );
  //   }
  // });

  // CSS-change for android (and windows)
  if($.inArray("safari", $("html").attr("class").split(" ") ) == -1){
    $(".start-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    $(".end-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    if($( window ).width() <= 400){
      $(".start-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });

      $(".end-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });
    }
  }
}
/**/



/********************************/
/********** DEMO STUFF **********/
/********************************/
function demoScripts(){
  console.log("Loading DEMO scripts!");

  $("#wrapper-frontpage").slick({
    accessibility: false,
    arrows: false,
    infinite: false,
    touchThreshold: 10
  });

  $(".nextSlide").unbind().click(function(event){ event.preventDefault(); $("#wrapper-frontpage").slick('slickNext'); });
}




/*******************************/
/******** PROFILE STUFF ********/
/*******************************/
var readChapters = 0, progress, finishedScreenShown;
// var dailyChapters = userDaily;
function profileScripts(){  // On loading of PROFILE PAGE do following:
  console.log("Loading PROFILE scripts!");

  $(".toRead").html("");    $(".toReadExtra").html("");
  ccount = 0;
  finishedScreenShown = {};
  initializeGraph();
  if(uid == "4ZpunH26MqX9OdyG7MGRfafrk7h1"){
    fetchDatabase("-M-Qv1t2mqIWqBvEsgDU");
  }
  else {
    fetchDatabase();
  }
  // initializeGraph2(); // also line 263 (+76 from here)

  setNotifications();

  $("#slick_container").slick({
    accessibility: false,
    arrows: false,
    infinite: false,
    touchThreshold: 10
  });
}
// Following functions are for the profile-page mostly
var log, planStart, planNow, planDue, planBook, progressCount, planLen, latestRead = 0;
var disabledChapters = 0, disabledBooks = [], focusOn = [], focusDensity = 0, focusLength, focusChapter = false, focusEnabled = false, currPlanID = 0;
/** DEV */ var readToday, readSomeday = 0, lastReadIsFocus = false;
var estDoneDate, estRemainingDays, printedChapters = [], printedExtraChapters = [];
colors = ["purple", "blue", "orange", "green"]; // Graphic details on 'to read' list
function fetchDatabase(planID, input){
  planID = planID || currPlanID;
  input = input || false;
  var onGroup = false;
  if( input == "group"){ onGroup = true; }
  
  if( firebase.auth().currentUser ){
    var userId = firebase.auth().currentUser.uid;

    // return database.ref('/users/' + userId).once('value').then(function(snapshot){
    // database.ref('users/' + uid ).on('value', function(snapshot){
    database.ref('users/' + userId ).once('value').then(function(snapshot){
      console.log("userdata loaded on fetchDatabase");

      userData = snapshot.val();

      planIDs = [];
      for(const v in userData.plans){
        planIDs.push( v );
      }
      if(planID !== false){
        if(typeof userData.plans[planID] != "undefined"){ //IF there is a userData.plans[ planID ], only get that plan
          planIDs = [];
          planIDs.push(planID);
          console.log("Selects one specific plan. planIDs:",planIDs);
        }
        else { //Remove all but first
          temp = planIDs[0];
          planIDs = [];
          planIDs.push(temp);
        }
      }

      var v, w, x; // v=planID, w=cursorID, x=cursorBookID
      // LOOP PER PLAN - supposed to only go once
      // for(v in userData.plans){
      for(vi = 0; vi < planIDs.length; vi++){
        console.log( "checking for plan:",planIDs[ vi ]);
        v = planIDs[ vi ];
        currPlan = userData.plans[v];
        currPlanID = v;

        log = currPlan.log;

        //NEW METHOD
        if(typeof currPlan.books != "undefined"){
          reading = numStrtoArr(currPlan.books);
          
          if(typeof currPlan.focus != "undefined"){
            focusEnabled = true;
          }

          readChapters = 0;
          readToday = 0;
          readSomeday = 0;
          totalChapters = 0;
          for(var y in reading){ //
            if(typeof log[y] != "undefined"){
              //book has info
              for(var z in log[y]){
                if(log[y][z] > 0){
                  //chapter is read
                  readChapters++;
                  if( log[y][z] != "100000000" && new Date( log[y][z] ).getDate() == new Date().getDate() ){ // IF LOG DATE == TODAYS DATE
                    readToday++;
                  }
                  else {
                    readSomeday++;
                  }
                }
              }
            }
          }

          for(var i = 0; i < reading.length; i++){
            totalChapters += books[bothString][ reading[i] ].chapters.length;
          }

          //compability
          currPlan.reading = bothString;
          userData.settings.weekdays = currPlan.weekdays;
        }
        else { //OLD METHOD

          focusOn[v] = [];
          disabledChapters = 0;
          disabledBooks = [];
          readChapters = 0;
          readToday = 0;
          readSomeday = 0;
          for(var y1 in log){
            // if( !isNaN(parseFloat( y1 )) && isFinite( y1 )){ // Check if the key is a number
            if(log[y1] === false && ( !isNaN(parseFloat( y1 )) && isFinite( y1 ))){ // if book is disabled, and y is a number (read: not focus)
              disabledChapters += chapters[ currPlan.reading ][y1];
              disabledBooks.push(y1);
            }
            else if( log[y1] != "log" ){
              if( log[y1] == "*" ){ //if whole book is marked as read (per 01.08.2019 only for demo-plan)
                readChapters += chapters[ currPlan.reading ][y1];
              }
              else {
                for(var z in log[y1]){
                  if(log[y1][z] > 0){ //check if the chapter is marked as unread
                    if(isNumeric(y1)){ readChapters++; } //keep the focused books out of this counter
                    lastReadIsFocus = false;
                    if(latestRead < Number(log[y1][z])){ latestRead = Number(log[y1][z]); if(!isNumeric(y1)){ lastReadIsFocus = true; } } // get the timestamp of last read chapter
                    if( log[y1][z] != "100000000" && new Date( log[y1][z] ).getDate() == new Date().getDate() ){ // IF LOG DATE == TODAYS DATE
                      readToday++;
                    }
                    else {
                      readSomeday++;
                    }
                  }
                }
              }
            }
            if(!isNumeric(y1)){
              focusEnabled = true;
            }
          }

        }

        // FOCUS PLAN
        if(focusEnabled){
          focusLength = 0;
          for(k = 0;k < totalBooks[currPlan.reading];k++){
            if(log["focus"+k] !== false){
              focusOn[v].push( k );
              focusEnabled = true;
              printedChapters['f'] = 0;

              focusLength += books[currPlan.reading][ k ].chapters.length;
            }
          }
          focusDensity = Math.floor((totalChapters[ currPlan.reading ] - disabledChapters) / focusLength);
        }
        progressCount = -1;
        planLen = currPlan.cursor.length;

        for(w in currPlan.cursor){      // Loop per cursor
          currCursor = currPlan.cursor[w];

          for(x in currCursor){ progressCount++;    //x er planens bokID, altså progress's key
            bookId = Number(x);
            bookName = books[ currPlan.reading ][ bookId ].name;

            // Calculate plan
            
            //NEW METHOD
            if(typeof currPlan.books != "undefined"){
              percent = (readChapters / totalChapters)*100;
              
              remainingChapters = totalChapters - readChapters;
            }
            else {
              //OLD METHOD
              percent = (readChapters / (totalChapters[currPlan.reading]-disabledChapters))*100;
              
              remainingChapters = totalChapters[ currPlan.reading ] - readChapters - disabledChapters;
            }
            if(percent < 0){ percent = 0; }
            viz.data( percent ).update(); // updates first graph

            /** Normal plan **/
            if( currPlan.method == "plan" ){
              planStart = new Date( currPlan.start );
              planDue = new Date( planStart );
              planDue.setDate(planStart.getDate() + currPlan.length);
              planNow = new Date();

              planPercent = ( (planNow-planStart)/(planDue-planStart) )*100; // finds date-percentage. How many days into the plan are you?


              // // Daily not calculated with weekdays without reading
              // originalDaily = (totalChapters[ currPlan.reading ]-disabledChapters) / currPlan.length;

              // Calculate 'daily' after current progress
              remainingDays1 = Math.ceil( currPlan.length - ( ( planNow-planStart ) / (1000 * 60 * 60 * 24) ) ); // remaining calendar days
              remWeeks = Math.trunc( remainingDays1 / 7 );
              remWeekDays = (remainingDays1 / 7 - remWeeks) * 7;

              remDaysExtra = 0;
              todayDay = new Date().getDay()-1; // "-1": Correction for monday being first day of the week
              for(var i = 0; i < 7; i++){ // weekday loop
                if( !userData.settings.weekdays.includes(String(i)) ){ //if weekday is not in selected weekdays to read
                  var1 = i - todayDay;
                  if( 0 <= var1 && var1 < remWeekDays){
                    remDaysExtra++;
                  }
                }
              }
              remainingDays = remainingDays1 - ( (7 - userData.settings.weekdays.length) * remWeeks + remDaysExtra);
              userDaily = remainingChapters / remainingDays;

              userDailyNumb = Math.ceil( userDaily );
              userDaily = Math.ceil( userDaily/planLen );
            }
            /** Daily plan **/
            else if( currPlan.method == "daily" ){
              userDaily = Math.ceil( currPlan.daily/planLen );
              userDailyNumb = currPlan.daily;
              weekdays = userData.settings.weekdays.split("");

              // CALCULATE how many days are left if user reads perfectly
              daysLeft = (remainingChapters + readToday) / userDaily; // READING DAYS left (including today)
              weeksLeft = daysLeft / weekdays.length;

              estDoneDate = new Date();
              estDoneDate.setDate(estDoneDate.getDate() + 7*weeksLeft);
              estRemainingDays = Math.round((estDoneDate-new Date())/(1000*60*60*24));
            }
            /** Free plan **/
            else if( currPlan.method == "free"){
              weekdays = userData.settings.weekdays.split("");
              userDaily = 4;
              if( planLen >= 4 ){ userDaily = 1; }
              else if( planLen >= 2 ){ userDaily = 2; }
            }


            // If the current book is disabled, find next undisabled book? Seems so - also seems to be not in use? - 01.08.2019
            if($.inArray(String( x ), disabledBooks) >= 0){
              enabledBooks = [];
              for(i=0; i < totalBooks[bothString]; i++){
                if($.inArray(String( i ), disabledBooks) < 0){
                  enabledBooks.push( i );
                }
              }
              x = enabledBooks[0];
              currCursor[x] = -1;

              bookId = Number(x);
              bookName = books[ currPlan.reading ][ bookId ].name;
            }

            // SHOW FINISHED SCREEN if there is no daily chapters (and it isn't shown already for some reason)
            if(userDaily == 0 && !finishedScreenShown[v]){
              $("#popup").html( $("#pageblur-finish").html() );
              finishedScreenShown[v] = true;
              showPopup();
            }


            printedChapters[w] = 0;
            // printedChapters["f"+w] = 0;
            printedExtraChapters[w] = 0;
            printedExtraChapters["f"+w] = 0;
            firstExtraChapter = true;
            extraChapter = false;
            focusChapter = false;
            newI = currCursor[x];

            if(userData.settings.weekdays.length >= 1){ //check if at least one weekday is enabled
              for(i = 0; i < userDaily; i++){ newI++; // Utskrifts-loop
                if( readChapters+printedChapters[w]>0 && (readChapters+printedChapters[w]) % focusDensity == 0 && !(printedChapters[w] < 1 && lastReadIsFocus) && !focusChapter && focusEnabled && printedChapters["f"] < 1 && w == 0 ){
                  oldBookId = bookId;
                  oldBookName = bookName;
                  // newI = 0; // set later by findUnreadChapter()
                  newW = "f";
                  printedChapters[newW]++;
                  focusChapter = true;
                  bookId = "f"+bookId;
                }
                else {
                  if(focusChapter){
                    bookId = oldBookId;
                    bookName = oldBookName;
                    newI = currCursor[x]+printedChapters[w]+1;
                  }
                  newW = w;
                  printedChapters[w]++;
                  focusChapter = false;
                }

                // Convert from week starting sunday to week starting monday:
                today1 = new Date().getDay();
                if( today1 == 0 ){ today = 6; }
                else { today = today1-1; }

                // If there is reading today:
                if( userData.settings.weekdays.split("").indexOf( today.toString() ) < 0 && currPlan.method != "free" ){
                  extraChapter = true;
                }

                // Check if all daily chapters are printed
                remaingToday = userDaily - readToday;
                if(printedChapters[w]+(printedChapters["f"] || 0) > remaingToday && currPlan.method != "free"){
                  extraChapter = true;
                }

                /* 29.07.2019 - commented for new method
                // CHECK if chapter exist, and choose next book instead
                if(typeof books[currPlan.reading][ bookId ].chapters[ newI ] === 'undefined'){
                  if(bookId+1 >= totalBooks[currPlan.reading]){
                    if(printedChapters[w]<=1){
                      $("#popup").html( $("#pageblur-finish").html() );
                      showPopup();
                    }
                    // console.warn("ALMOST FINISHED");
                    break;
                  }
                  else {
                    bookId += 1;
                    bookName = books[currPlan.reading][ bookId ].name;
                    newI = 0;

                    // CHECK if the next chapter is due to be read and/or is disabled
                    while((log[bookId] === false) || (typeof log[bookId] != "undefined" && typeof log[bookId][0] != "undefined")){
                      bookId += 1;
                      if(typeof books[currPlan.reading][ bookId ] === "undefined"){ console.warn("reached end in loop for next book"); break; }
                      bookName = books[currPlan.reading][ bookId ].name;
                    }
                  }
                }
                */

                // console.log("test",bookId,newI,printedChapters[newW],w);
                if(!isNumeric(bookId)){
                  if(findUnreadChapter(0,printedChapters[newW],"f") === false){ continue; }
                }
                else {
                  if(log[bookId] && log[bookId][newI] && log[bookId][newI] > 0){ // checks if the next chapter is already read, and gives next unread chapter
                    console.info("next unread (chapter ("+bookId+"-"+newI+") is read)");
                    if(findUnreadChapter(Number(x),printedChapters[w]) === false){
                      if(findUnreadChapter(0) === false){
                        break;
                      }
                    }
                  }

                  if(typeof books[currPlan.reading][ bookId ].chapters[ newI ] === 'undefined'){ // checks if next chapter exists for this book
                    console.info("current book ("+bookId+") is complete");
                    if(findUnreadChapter(Number(x),printedChapters[w]) === false){
                      if(findUnreadChapter(0) === false){
                        break;
                      }
                    }
                  }
                }


                //Check if there are more cursors, and remove it if it is now the same as another of the cursors
                w2currBooks = [];
                if(planLen > 1){
                  for(var w2 in currPlan.cursor){
                    if(w2 != w){
                      for(var key in currPlan.cursor[w2]){
                        w2currBooks.push( key );
                      }
                    }
                  }
                  if($.inArray( String(bookId), w2currBooks ) >= 0){
                    if(findUnreadChapter(bookId+1,printedChapters[w]) === false){
                      continue;
                    }
                  }
                }


                // INPUT bg colors and fix the rotation
                if(planLen < 2){ // if there is only one readingplan
                  if(colors[ ccount ]){
                    color = colors[ ccount ]+"Chapter";
                    if( $("#ch"+ bookId+'-'+newI).length < 1){ ccount++; }
                  }
                  else {
                    color = colors[0]+"Chapter";
                    if( $("#ch"+ bookId+'-'+newI).length < 1){ ccount = 1; }
                  }
                }
                else { // with more readingplans
                  if(colors[ progressCount ]){ color = colors[ progressCount ]+"Chapter"; }
                  else { color = colors[progressCount-colors.length]+"Chapter"; }
                }

                if( extraChapter ){ printedExtraChapters[newW]++; }

                html = "";

                html += '<div id="ch'+bookId+'-'+newI+'" style="height: 60px;" class="box1 '+color+( extraChapter?' extraChapter':'' )+( focusChapter?' focusChapter':'' )+'"';
                // (printedChapters[w]+printedChapters["f"] == 1 || (printedChapters[w] == printedChapters["f"] && printedChapters[w]+printedChapters["f"] == 2)) --- when first is a focusChapter and you want to select first nonFocusChapter //try 09.08.2019
                if(printedChapters[w] == 1 || (focusChapter && printedChapters["f"] == 1)){ html += ' onClick="updateProgress(\''+bookId+'\','+ newI +',\''+w+'\');"'; } // only allow updates for the first printed chapter
                html += '>'+"\n";
                html += '  <div class="plan'+w+' box1_content'+(focusChapter?" focusPlan"+newW:"")+'">'+"\n";
                html += '    <p><label>'+((focusChapter&&appVersion.slice(0,1)=="d")?"*":"")+ translator.get( bookName ) +' '+( newI+1 );
                  html += ' <input class="myinput box1_input" type="checkbox" id="upProg'+ bookId+'-'+newI+'"'+( (printedChapters[w] == 1 || (focusChapter && printedChapters["f"] == 1))?'':' style="display: none;"' )+'/>';
                  html += '</label></p>'+"\n";
                html += '  </div>'+"\n";
                html += '</div>';

                // Insert chapter into DOM (if it doesn't already exist)
                if( $("#ch"+bookId+'-'+newI).length < 1){
                  if( extraChapter && !onGroup ){
                    if(planLen > 1 && $(".toReadExtra .plan"+w).length >= 1){ //if more plans, insert correct place
                      $( html ).hide().insertAfter( $(".toReadExtra .plan"+w).last().parent() ).fadeIn();
                    }
                    else {
                      $( html ).hide().appendTo(".toReadExtra").fadeIn();
                      // $( html ).hide().insertBefore("#extraSlideReadMore").fadeIn();
                    }
                  }
                  else if(!onGroup) {
                    if(planLen > 1 && $(".toRead .plan"+w).length >= 1){
                      $( html ).hide().insertAfter( $(".toRead .plan"+w).last().parent() ).fadeIn();
                    }
                    else {
                      $( html ).hide().appendTo(".toRead").fadeIn();
                    }
                  }
                  // console.info("Written: #ch"+bookId+"-"+newI);
                }
                // else {
                //   console.warn("Not written: #ch"+bookId+"-"+newI);
                // }
              }
            }
            else {
              // No weekdays selected error
              $(".toRead").html("<h4 id='finish-reading' class='element' style='color: #fff; background-image: linear-gradient(to bottom right, #d93838, #2f0a0a);'><div id='nothingToShow' style='font-size: 7vw; line-height: 3;'>"+translator.get("Nothing to show")+"</div><div id='nothingToShowSub'>"+translator.get("You must select at least one weekday you'll read!")+"</div></h4>");
            }

            setTimeout(function(){ // If there, after 400ms, is no chapters to read today, show the "done for today" text
              if( $(".toRead").html() == "" && currPlan.method != "free"){
                var today = new Date().getDay()-1;
                if( today == -1 ){ today = 6; }
                if($.inArray( String(today), userData.settings.weekdays.split("") ) < 0){ // WEEKDAY CHECK
                  $(".toRead").html("<h4 id='finish-reading' class='element' style='color: #fff;'><div id='nothingToRead'>"+translator.get("Nothing to read today")+"</div><div id='nothingToReadSub'>"+translator.get("Swipe left to read anyway.")+"</div></h4>");
                }
                else {
                  $(".toRead").html("<h4 id='finish-reading' class='element' style='color: #fff; font-size: 50px;'>"+translator.get("Done")+"<div id='finish-reading-text' style='color: #fff; font-size: 20px;'><br>"+translator.get("Swipe left to read more.")+"</div></h4>");
                }
                $(".toRead").height( $(".toReadExtra").height() );
              }
              if(onGroup){
                $("#nothingToReadSub, #finish-reading-text").hide();
              }
            }, 400);
            // if there are some chapters written as an extra chapter, allow slide
            if( $(".toReadExtra").html() != ""){
              $("#wrapper-box").slick({
                accessibility: false,
                arrows: false,
                infinite: false
              });
              $("#finish-reading-text").click( function(event){ $('#wrapper-box').slick('slickNext'); } );
              $("#extraSlideReadMore").remove(); //keeps the "ReadMore" button at the bottom
              $(".toReadExtra").append('<a id="extraSlideReadMore" class="arange trn" href="readmore.html">'+translator.get("Read More")+'</a>');
              $("#extraSlideReadMore").click(function(event){ event.preventDefault(); loadPage( "readmore.html", "Read More" ); });
            }
          }
        }


        /** INSERT SOMETHING NEXT TO THE GRAPH **/
        var planStart = new Date( currPlan.start ).toLocaleString();
        if(currPlan.method == "plan"){
          $("#planInformation").css("color","#fff").html("Plan start: "+planStart+"<br />Plan length: "+currPlan.length+"<br />Remaining days: "+remainingDays+"<br /> Timing percent: "+planPercent.toFixed(3)+" %<br />Read percent: "+percent.toFixed(3)+" %").addClass("trn");
        }
        else if(currPlan.method == "daily"){
          $("#planInformation").css("color","#fff").html("Plan: Daily<br />Daily: "+currPlan.daily+"<br />Read percent: "+percent.toFixed(3)+" %<br />Est done by: "+estDoneDate.toDateString()+"<br />Last read: "+new Date(latestRead).toLocaleDateString()+" "+new Date(latestRead).toLocaleTimeString()+"<br>").addClass("trn");
        }
        else {
          $("#planInformation").css("color","#fff").html("Plan: "+currPlan.method+"<br>Last read: "+new Date(latestRead).toLocaleDateString()+" "+new Date(latestRead).toLocaleTimeString()+"<br>");
        }

        if( currPlan.method == "free" ){
          $("#profileHeadline").html("");
        }
        else {
          $("#profileHeadline").html(translator.get("Read the following chapters today") + ":"+(userDailyNumb?" ("+userDailyNumb+")":"") );
        }

        // SHOW THE DEMO-PAGE if there is log is at default
        try {
          if( currPlan[0][0] == -1 && !demoShown ){
            loadPage( "demo.html", "Bibleplan");
            demoShown = true;
          }
        } catch(err){ }
        return;
      }
    });
  }
  else { console.log("Error"); return false; }
}

function updateProgress( book, chapter, planNr ){
  planNr = planNr || 0;
  currPlanID = currPlanID || 0;
  if( uid ){
    if(book.slice(0,1) != "f"){ //IF NOT FOCUSED BOOK
      // var uid = firebase.auth().currentUser.uid;
      database.ref('users/' + uid + '/plans/'+currPlanID+'/cursor/' + planNr ).set({
        // last_read: Date.now(),
        [book]: chapter
      }).then(function() {

        database.ref('users/' + uid + '/plans/'+currPlanID+'/log/'+book ).update({
          [chapter]: Date.now()
        });
      });

      //GROUP
      if(userData.groups){
        $.each(userData.groups, function(key, value){
          database.ref('groups/'+value.id+'/members/'+uid).update({ percent: percent });
        });
      }
    }
    else {
      database.ref('users/' + uid + '/plans/'+currPlanID+'/log/focus'+book.slice(1) ).update({
        [chapter]: Date.now()
      });
    }

    $("#ch"+book+"-"+chapter).addClass("slideUp");
    setTimeout(function(){
      $("#ch"+book+"-"+chapter).remove();

      $(".plan"+planNr+" .box1_input").first().show();

      if(typeof $(".plan"+planNr).first().parent().attr("id") !== "undefined"){
        var nextProg = $(".plan"+planNr).first().parent().attr("id").split("-");
        var nextBook = nextProg[0].slice(2); // remove the "ch"
        var nextChpt = Number(nextProg[1]);
        $(".plan"+planNr).first().parent().one("click", function(){ updateProgress(nextBook,nextChpt,planNr); });
      }
      else {
        console.log("NO PRINTED CHAPTERS LEFT!");
      }

      fetchDatabase();                      // Load next chapters
    }, 500);

    // });
  }
}
// GRAPH
// var viz;
function initializeGraph(){
  viz = vizuly.viz.radial_progress( document.getElementById("viz_div") );

  viz.data( 0 ).height(550).radius(110).min(0).max(100).capRadius(1).startAngle(201).endAngle(200).arcThickness(0.12)
    .label(function(d,i){ return d3.format(".1f")(d); });

  var vizTheme = vizuly.theme.radial_progress(viz).skin(vizuly.skin.RADIAL_PROGRESS_ALERT);

  viz.update();
} // initializeGraph();

function initializeGraph2(){
  viz2 = vizuly.viz.radial_progress( document.getElementById("viz_div2") );

  viz2.data( 0 ).height(550).radius(110).min(0).max(100).capRadius(1).startAngle(200).endAngle(200).arcThickness(0.12)
    .label(function(d,i){ return d3.format(".1f")(d); });

  var vizTheme = vizuly.theme.radial_progress(viz2).skin(vizuly.skin.RADIAL_PROGRESS_ALERT);

  viz2.update();
}

function findUnreadChapter(fromBook, skip, planID){ //default: first book (0), given variables: books, log, currPlan.reading!
  fromBook = fromBook || 0;   // fromBook er fra hvor funksjonen sjekker fra - typisk om det er første ulesete du skal ha, eller neste uleste.
  skip = skip || 0;           // skip er i tilfelle du ikke vil ha den neste uleste, men f.eks. den 3dje neste.
  planID = planID || -1;  // planID brukes kun for å vise finished popupen kun en gang per plan -- if "f" it's for a focused plan

  nextUnreadCount = 0;

  bookLoop:
    for(j=fromBook; j < totalBooks[currPlan.reading]; j++){ //leseplanens bok-lengde
      if(planID == "f"){ newJ = "focus"+j; } else { newJ = j; } //for focus-planen
      if(log[newJ] != "log" && log[newJ] !== false){ // log[0] = "log" er standard, og sjekk at boka ikke er deaktivert ( = false )
        chptLoop:
          for(k=0; k < books[currPlan.reading][j].chapters.length; k++){ //bokas kapitler
            if( log[newJ] && log[newJ][k] ){ // hvis loggen har boken og bokens kapittel
              // console.log( "Er lest: "+newJ+": "+k );
            }
            else {
              nextUnreadCount++;
              if(bookId != newJ){ //if the book is different, update name
                bookId = (planID=="f")?"f"+j:j;
                bookName = books[currPlan.reading][ j ].name;
              }
              newI = k;
              if(skip == 0){
                console.log("Det neste uleste er: "+newJ+"-"+k);
                return true;
              }
              else if(nextUnreadCount >= skip){
                console.log("Etter "+skip+" uleste kommer: "+newJ+"-"+k);
                return true;
              }
            }
            if(k>=500){ break; } // comment to stop it from loading forever // is 500 the most chapters one?
          }
      }
      if(newJ>=70){ break; } // comment to stop it from loading forever //is 70 above the last book?
  }

  if(fromBook==0 && skip==0 && !finishedScreenShown[planID] && planID != "f"){
    $("#popup").html( $("#pageblur-finish").html() );
    finishedScreenShown[planID] = true;
    showPopup();
  }
  else {
    console.log("No chapter found.");
  }
  return false;
}




/*******************************/
/********* LOGIN STUFF *********/
/*******************************/
function loginScripts(register){
  register = register || "";
  if(register != ""){
    console.log("Loading LOGIN scripts! At register page!");

    $("#login").hide();
    $("#login-menu").css({"border-bottom": "", "color": "rgba(255, 255, 255, 0.58)"});

    $("#register").show();
    $("#signup-menu").css({'border-bottom': "solid 3px #fff", "color": "#fff"});
  }
  else {
    console.log("Loading LOGIN scripts!");
  }

  $(".clickMenu").unbind().click(function(){
    click = $( this ).attr("id");
    if( click == "login-menu"){
      $("#register").hide();
      $("#signup-menu").css({"border-bottom": "", "color": "rgba(255, 255, 255, 0.58)"});

      $("#login").show();
      $("#login-menu").css({'border-bottom': "solid 3px #fff", "color": "#fff"});
    }
    else if( click == "signup-menu"){
      $("#login").hide();
      $("#login-menu").css({"border-bottom": "", "color": "rgba(255, 255, 255, 0.58)"});

      $("#register").show();
      $("#signup-menu").css({'border-bottom': "solid 3px #fff", "color": "#fff"});
    }
  });

  if(isAnon){
    $("#signup-menu").click();
  }

  // $("#register").css("display","");
  // $("#loginbox1").slick({
  //   accessibility: false,
  //   arrows: false,
  //   infinite: false
  // });

  $("#loginForm").on("change", function(){ $("#loginErrors").hide(); });
  $("#loginForm").on("submit", function(event){
    event.preventDefault();

    console.log("Login started!");

    firebase.auth().signInWithEmailAndPassword( $("#login_usr_email").val(), $("#login_pwd").val() )
      .then(function(){
        console.log("this works?!");
      })
      .catch(function(error) {
        // Handle Errors here.
        $("#loginErrors").show();
        $("#loginErrors").html( getErrorMessage(error) );
        setTimeout(function() { $("#loginErrors").fadeOut(1000); }, 12500);
        // console.log("Login error:", error);
      });
  });

  var regErr;
  $("#registerForm").on("submit", function(event){
    event.preventDefault();

    console.log("Register (upgrade) started!");


    if( $("#acceptTOS").is(":checked") ){
      var credential = firebase.auth.EmailAuthProvider.credential($("#register_usr_email").val(), $("#register_pwd").val());
      firebase.auth().currentUser.linkAndRetrieveDataWithCredential(credential).then(function(user){
        console.log("Anonymous account successfully upgraded", user);
        var isAnon = false;
        checkStartPage( firebase.auth().currentUser.uid );
      }, function(error){
        // console.log("Error upgrading anonymous account", error);

        $("#registerErrors").show();
        clearTimeout( regErr );
        $("#registerErrors").html( getErrorMessage( error ) );
        regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
        console.log(error);

      });
    }
    else {
      $("#registerErrors").show();
      clearTimeout( regErr );
      $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
      regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
    }
  });

}
// $(".input-login input").on("keyUp", function(){ $("#loginErrors").html(""); });

// currently not in use: (08.04.2019)
var regErr;
function upgradeUser(){ // given following elements exist: $("#acceptTOS"), $("#register_usr_email"), $("#register_pwd"), $("#registerErrors")
  if( $("#acceptTOS").is(":checked") ){
    var credential = firebase.auth.EmailAuthProvider.credential($("#register_usr_email").val(), $("#register_pwd").val());

    // firebase.User.prototype.linkAndRetrieveDataWithCredential

    firebase.auth().currentUser.linkAndRetrieveDataWithCredential(credential).then(function(user){
      console.log("Anonymous account successfully upgraded", user);
      var isAnon = false;
      checkStartPage( firebase.auth().currentUser.uid );
    }, function(error){
      // console.log("Error upgrading anonymous account", error);

      $("#registerErrors").show();
      clearTimeout( regErr );
      $("#registerErrors").html( getErrorMessage(error) );
      regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
      console.log(error);

    });
  }
  else {
    $("#registerErrors").show();
    clearTimeout( regErr );
    $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
    regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
  }
}




/********************************/
/******** SETTINGS STUFF ********/
/******************************** /
function settingsScripts( planNr ){
  console.log("Loading SETTINGS scripts!");
  planNr = planNr || 0;

  //SET HEADLINE
  if(userData.plans){
    if(userData.plans[ planNr ].method == "plan"){
      if(typeof remainingDays != "undefined"){
        $("#planLength").html( remainingDays );
        $("#planLengthText").show();
      }
      else {
        $("#planLength").html(translator.get("Plan finished"));
        $("#planLengthText").hide();
      }
    }
    else if(userData.plans[ planNr ].method == "daily"){
      if(typeof estRemainingDays != "undefined"){
        $("#planLength").html( estRemainingDays );
        $("#planLengthText").show().html("Est "+translator.get("Days left").toLowerCase());
      }
      else {
        $("#planLength").html("-");
        $("#planLengthText").show();
      }
    }
    else if(userData.plans[ planNr ].method == "free"){
      $("#planLength").html( percent.toFixed(2)+"%" );
      $("#planLengthText").hide();
    }
  }
  else {
    $("#daycounter-wrapper").hide();
  }

  // SHOW REGISTER if user isn't registered
  if(!uid || isAnon){
    $("#signup-menu").html( translator.get("Register") );
  }


  /** DEV ** / if(appVersion.substr(0,1) == "d"){ $("#settingsDevOptions").show(); $(".deleteAccButton").show().click(function(e){ e.preventDefault(); deviceConfirm(translator.get("Are you sure you want to delete your account?"), "Yes", function(){ deleteUserAndLog(); }); }); }

  // SWITCH BETWEEN PLAN SETTINGS AND USER SETTINGS
  // $("#login-under-menu-wrapper div").unbind().click(function(event){
  $(".clickMenu").unbind().click(function(event){
    // event.preventDefault();

    click = $( this ).attr("href");
    if( click == "#planSettings"){
      $("#userRegisterSettings").hide();  $("#userSettings").hide();
      $("#signup-menu").css({"border-bottom": "", "color": "rgba(255, 255, 255, 0.58)"});

      $("#planSettings").show();
      $("#login-menu").css({'border-bottom': "solid 3px #fff","color": "#fff"});
    }
    else if( click == "#userSettings" ){
      // if(isAnon || !uid){
        // loadPage("login.html","Login");
      // }
      // else {
        $("#planSettings").hide();
        $("#login-menu").css({"border-bottom": "", "color": "rgba(255, 255, 255, 0.58)"});

        if($("#signup-menu").html() == translator.get("Register")){ $("#userRegisterSettings").show(); }
        else { $("#userSettings").show(); }
        $("#signup-menu").css({'border-bottom': "solid 3px #fff", "color": "#fff"});
      // }
    }
  });

  if(uid){
    $("#user_photo").attr("src", userPhotoURL);
    $("#user_name").val( displayName );
    $("#user_email").val( userEmail );

    // TRANSLATING
    $("#user_name").attr("placeholder",translator.get("Your name"));
    $("#user_email").attr("placeholder",translator.get("Email"));
    $("#change_pwd_old").attr("placeholder",translator.get("Old password"));
    $("#change_pwd_new").attr("placeholder",translator.get("New password"));
    $("#change_pwd_new1").attr("placeholder",translator.get("Repeat new password"));
    $("#change_pwd").attr("value",translator.get("Change Password"));

    // UPDATE DISPLAYNAME
    $("#user_name").on('keyup', function(event){
      if(this.timer){
        clearTimeout( this.timer );
      }
      if($(".loadingGif").length == 0){
        $(this).after("<img class='loadingGif' src='img/images/loading.svg' />");
      }

      this.timer = setTimeout(function(){
        newName = $("#user_name").val();
        if(newName){
          console.log("Update DisplayName: "+newName);
          firebase.auth().currentUser.updateProfile({
            displayName: newName
          }).then(function(){
            displayName = newName;
            $(".loadingGif").remove();
            $(".usrNameUpdated").remove();
            $("#user_name").after("<p class='usrNameUpdated'>Updated!</p>");
            setTimeout(function(){ $(".usrNameUpdated").remove(); }, 5000);
          });
        }
      }, 1000);
    });

    // UPDATE PROFILE PICTURE
    $("#user_photo").one('click', function(){
      photoURL = "https://cdn.libravatar.org/avatar/"+md5( userEmail );
      if(userPhotoURL != photoURL){
        firebase.auth().currentUser.updateProfile({
          photoURL: photoURL
        }).then(function(){
          userPhotoURL = photoURL;
        });
      }
    });

    // GET SETTINGS
    var userSettings = database.ref('users/' + uid);
    userSettings.on('value', function(snapshot){
      console.log("Settings loaded");
      // if( snapshot.hasChild( "settings/plan" ) ){
      // if( typeof snapshot.val().plans[ planNr ] !== "undefined" ){
      if( snapshot.val().plans && snapshot.val().plans[planNr] ){
        // settings = snapshot.val().settings;
        userData = snapshot.val();
        userPlan = userData.plans[ planNr ];

        // userData.settings = settings; // UPDATE global settings variable
        // userPlan = settings.plan;

        // WEEKDAYS
        weekdays = userData.settings.weekdays.split("");
        $("#weekday div").removeClass("weekdaySelected");
        $.each( weekdays, function( index, value ){
          weekday = value.toString();
          $("#weekday div#"+weekday).addClass("weekdaySelected");
        });

        $("#weekday div").unbind();
        $("#weekday div").one('click', function(){
          toggleThis = $( this ).attr('id').toString();
          if( weekdays.indexOf( toggleThis ) >= 0){
            if(weekdays.length > 1){
              key = weekdays.indexOf( toggleThis );
              weekdays.splice( key, 1 );
              newWeekdays = weekdays.join("");
            }
          }
          else {
            weekdays.push( toggleThis );
            newWeekdays = weekdays.join("");
          }
          database.ref('users/' + uid + '/settings').update({ weekdays: newWeekdays });
        });



        // BOOK (what bible) /*REMOVED* /
        // "The Old Testament" and
        // "The New Testament"



        // METHOD
        if( userPlan.method == "daily" ){
          // DAILY CHAPTERS
          $("#methodDaily-wrapper").show();      $("#methodPlan-wrapper").hide();
          $("input.pMethod").val([ "methodDaily" ]);
        }
        else if( userPlan.method == "plan" ){
          // FOLLOWING PLAN
          $("#methodDaily-wrapper").hide();      $("#methodPlan-wrapper").show();
          $("input.pMethod").val([ "methodPlan" ]);
        }
        else if( userPlan.method == "free" ){
          $("#methodDaily-wrapper").hide();      $("#methodPlan-wrapper").hide();
          $("input.pMethod").val([ "methodFree" ]);
        }

        // FOLLOWING PLAN
        planStart = new Date( userPlan.start );
        planEnd = new Date( planStart );
        planEnd.setDate(planStart.getDate() + userPlan.length);
        $("#planStart").val( planStart.toISOString().substr(0, 10) ).unbind();  // start day
        $( "#planEnd" ).val( planEnd.toISOString().substr(0, 10) ).unbind();    // end day
        $("#planDynLength").html( translator.get("Plan length")+": "+userPlan.length );

        // UPDATE START DATE
        $("#planStart").unbind().on('change', function(){
          var newStart = new Date( $( this ).val() );
          database.ref('users/' + uid + '/plans/'+planNr).update({ start: newStart.getTime(), method: "plan" });
        });
        // UPDATE PLAN LENGTH via end date
        $("#planEnd").unbind().on('change', function(){
          var newEnd = new Date( $( this ).val() );
          var newEnd1 = Number(((newEnd - planStart) / (1000*60*60*24)).toFixed(0));

          $("#planDynLength").html( translator.get("Plan length")+": "+ newEnd1 );

          if( newEnd1 < 400 && newEnd1 > 0 ){
            database.ref('users/' + uid + '/plans/'+planNr).update({ length: newEnd1, method: "plan" });
            $("#planDynLength").css("color","");
          }
          else {
            $("#planDynLength").css("color","#ff384d");
          }

          $("#planLength").html("-"); // RESET HEADLINE
        });


        // DAILY CHAPTERS
        $("#dailyChapters").val( userPlan.daily ).unbind();
        $("#dailyChapters").on('change', function(){
          newValue = Number( $( this ).val() );
          database.ref('users/' + uid + '/plans/'+planNr).update({ daily: newValue, method: "daily" });
          $("#planLength").html("-"); // RESET HEADLINE
        });


        // Update method
        $(".pMethod").unbind().on('change', function(){
          if( $("input:checked").val() == "methodDaily" ){
            $("#methodDaily-wrapper").show();  $("#methodPlan-wrapper").hide();
            database.ref('users/' + uid + '/plans/'+planNr).update({ method: "daily" });
          }
          else if( $("input:checked").val() == "methodPlan" ){
            $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").show();
            database.ref('users/' + uid + '/plans/'+planNr).update({ method: "plan" });
          }
          else if( $("input:checked").val() == "methodFree" ){
            $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").hide();
            database.ref('users/' + uid + '/plans/'+planNr).update({ method: "free" });
          }
          $("#planLength").html("-"); // RESET HEADLINE
        });



        // NOTIFICATION TIME
        notiMinutes = userData.settings.notification;
        if(notiMinutes >= 0){
          $("#notificationTime").attr("disabled",false);

          notiHrs = Math.trunc( notiMinutes / 60 );
          notiMins = notiMinutes - ( notiHrs * 60 );
          $("#notificationTime").val( ("0" + notiHrs).slice(-2) + ":" + ("0" + notiMins).slice(-2) ).unbind();

          $("#notificationTime").on('change', function(){
            newTime = $( this ).val().split(':');
            newVal = Number(newTime[1]) + ( Number(newTime[0]) * 60);
            database.ref('users/' + uid + '/settings').update({ notification: newVal });
          });
        }
        else {
          $("#notificationTime").val("--:--").attr("disabled",true).unbind();
        }

        var notifToggleElem = $("#notificationToggle");
        if( notiMinutes >= 0 ){
          notifToggleElem.unbind().attr('checked',true);
        }
        else {
          notifToggleElem.unbind().attr('checked',false);
        }

        notifToggleElem.one('click', function(){
          newTogg = notifToggleElem.is(':checked') ? 12*60 : -1;
          database.ref('users/' + uid + '/settings').update({ notification: newTogg });

          console.log("Notifications are now "+newTogg);
        });

      }
      else {
        $("#settings").html("<h3 style='margin-top: 50px;'>"+translator.get("Please select a plan before looking at settings!")+"</h3>");
        $("#settingsLetsRead").hide();
      }
    });

    $("#changePassword").on("submit", function( event ){
      event.preventDefault();

      changePassword( $("#change_pwd_old").val(), $("#change_pwd_new").val(), $("#change_pwd_new1").val() );
    });
  }
  else {
    $("#settings").html("<h3 style='margin-top: 50px;'>"+translator.get("Please select a plan before looking at settings!")+"</h3>");
    $("#settingsLetsRead").hide();

    // TRANSLATING REGISTER
    $("#register_usr_email").attr("placeholder",translator.get("Email"));
    $("#register_pwd").attr("placeholder",translator.get("Password"));
    $("#register_submit").val(translator.get("Register"));
    $("#setupCreateTOS").html(
      $("#setupCreateTOS").html()
       .replace("I have read and accept the", translator.get("I have read and accept the"))
       .replace("Terms of Service", translator.get("Terms of Service"))
    );
    $("#setupCreateTOS a").on("click",function(event){ event.preventDefault();
      loadPage( $( this ).attr("href"), $( this ).html() );
    });
    $("#accTrn").html( translator.get("Do you already have an account?")+" <a id='accLgn' href='#login' style='color: #1808ff'>"+translator.get("Log in here!") );
    $("#accLgn").click(function(e){
      e.preventDefault();
      loadPage("login.html", "Login");
    });

    $("#registerAccount").on('submit',function(event){
      event.preventDefault();

      if( $("#acceptTOS").is(":checked") ){
        if(uid){
          var credential = firebase.auth.EmailAuthProvider.credential($("#register_usr_email").val(), $("#register_pwd").val());
          firebase.auth().currentUser.linkAndRetrieveDataWithCredential(credential).then(function(usercred) {
            console.log("User registration/migration complete!");
            var isAnon = false;
            location.reload();
          }, function(error) {
            // throw error message
            console.log("anon upgrade error", error);
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( getErrorMessage( error ) );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          });
        }
        else {
          firebase.auth().createUserWithEmailAndPassword( $("#register_usr_email").val(), $("#register_pwd").val() )
          .then(function(newuser){
            console.log("Register 'blank account' success!", newuser);
            uid = newuser.user.uid;

            database.ref('users/' + uid )
              .set({ registered: Date.now(), version: appVersion, lastUse: "-", settings: { language: setLanguage } })
              .then(function(){ location.reload(); });

          }, function(error) {
            // throw error message
            console.log("anon upgrade error", error);
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( getErrorMessage( error ) );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          });
        }
      }
      else {
        $("#registerErrors").show();
        clearTimeout( regErr );
        $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
        regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
      }

    });
  }

  // CSS-change for android (and windows)
  if($.inArray("safari", $("html").attr("class").split(" ") ) == -1){
    $(".start-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    $(".end-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    if($( window ).width() <= 400){
      $(".start-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });

      $(".end-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });
    }
  }
}
/** */



/********************************/
/******** READMORE STUFF ********/
/********************************/
/** DEV **/var devNoConfirmNr = 1;
var selectedBook = [];
function readmoreScripts( book ){
  console.log("Loading READMORE scripts!");
  var readMoreContent = "", selectedBook = [];

  userBook = book || userData.plans[0].reading;

  if(typeof userData.plans[0] !== "undefined"){
    $.each( userData.plans[0].cursor, function(key, val){
      for(var x in val){
        console.log( "push selected book: "+x );
      }
    });
  }

  var bookCount = 0;
  var bookRead = false;
  for(;books[userBook];){
    if( typeof books[userBook][ bookCount ] !== 'undefined'){
      // console.log( books[userBook][ bookCount ].name );
      var chapterCount = 0;
      var bookHidden = false;

      if(log[bookCount]){
        if(log[bookCount]=="*"){
          bookRead = true;
        }
        else {
          bookRead = false;

          for(j=0;j < books[ userBook ][bookCount].chapters.length;j++){
            if(!log[bookCount][j]){ break; }
            if( j == books[ userBook ][bookCount].chapters.length-1 ){ bookRead = true; }
          }
        }
      }
      else if(log[bookCount] === false){
        bookHidden = true;
      }
      else {
        bookRead = false;
      }

      if(!bookHidden){
        readMoreContent += "\n    <tr><th class='readMoreTitle";
        if(bookRead){ readMoreContent += " readmore-read-book"; }
        readMoreContent += "' id='"+bookCount+"' colspan='5'>";
        $.each(userData.plans[0].cursor, function(key, val){
          if(val[bookCount]){
            ckey = key;
            if(ckey > 4){ ckey = ckey-4; }
            readMoreContent += "<img src='img/glasses_"+colors[ckey]+".png' id='glasses"+ckey+"' style='width: 40px; position: absolute; left: 50px; margin-top: 9px;'/> "; // IF THIS ONE IS current book
          }
        });
        readMoreContent += translator.get( books[userBook][bookCount].name )+"</th></tr>";
        readMoreContent += "\n    <tr class='readMore' id='"+bookCount+"' style='display: none;'>";
        for(;books[userBook][ bookCount ].chapters;){
          if( typeof books[userBook][ bookCount ].chapters[chapterCount] !== 'undefined'){
            chapterCount++;

            //Check if chapter is read:
            if(log[ bookCount ]){
              if(log[ bookCount ] == "*"){
                chapterRead = true;
              }
              else if(log[bookCount][chapterCount-1]){
                chapterRead = true;
              }
              else {
                chapterRead = false;
              }
            }
            else {
              chapterRead = false;
            }

            readMoreContent += "\n      <td title='"+ books[userBook][ bookCount ].chapters[chapterCount-1] +"'";
            if(chapterRead){ readMoreContent += " class='readmore-read-chapter'"; } // if chapter is read
            readMoreContent += "><div>"+ chapterCount +"</div></td>";

            if((chapterCount % 5) == 0){ // NEW LINE when Number is devideable by 5 -> new line every 5 items
              readMoreContent += "\n    </tr><tr class='readMore' id='"+bookCount+"' style='display: none;'>";
            }
          }
          else if(chapterCount > 0){
            break;
          }
        }
      }
      readMoreContent += "</tr>";

      // readMoreContent += "\n    <tr><th colspan='5'>"+books[userBook][ bookCount ].name+"</th></tr>";

      bookCount++;
    }
    else if(bookCount > 0){
      break;
    }
  }
  $("table#readMore").html( "<tbody>"+readMoreContent+"</tbody>" );

  // Show/hide chapters for a book
  // $(".readMoreTitle").click(function(){
  $(".readMoreTitle").hammer({ time: 0 }).on("press tap", function(ev){
    if(ev.type == "tap"){
      var id = $( this ).attr( 'id' );
      $("#"+id+".readMore").toggle();
    }
    else if(ev.type == "press"){
      if( firebase.auth().currentUser ){
        var book = $( this ).attr( 'id' );
        if(navigator.notification){
          navigator.notification.confirm(
            "Set progress for what cursor:", // message
            function(buttonIndex){
              if(buttonIndex!=3){
                database.ref('users/'+uid+'/plans/0/cursor/'+(buttonIndex-1)).set({
                  [book]: -1
                });
              }
              $("#glasses"+(buttonIndex-1)).remove();
              $(".readMoreTitle#"+book).prepend("<img src='img/glasses_"+colors[buttonIndex-1]+".png' id='glasses"+buttonIndex-1+"' style='width: 40px; position: absolute; left: 50px; margin-top: 9px;'/>");
            },        // callback to invoke with index of button pressed
            'Bibleplan',      // title
            ["Plan 1","Plan 2","Cancel"]      // buttonLabels
          );
        }
        else {
          if(confirm("Set cursor here for plan: "+(devNoConfirmNr+1)+"?\n(cancel and try again to get next plan number)\n")){
            database.ref('users/'+uid+'/plans/0/cursor/'+devNoConfirmNr).set({
              [book]: -1
            });
            $("#glasses"+devNoConfirmNr).remove();
            $(".readMoreTitle#"+book).prepend("<img src='img/glasses_"+colors[devNoConfirmNr]+".png' id='glasses"+devNoConfirmNr+"' style='width: 40px; position: absolute; left: 50px; margin-top: 9px;'/>");
          }
          if(devNoConfirmNr==0){ devNoConfirmNr = 1; }
          else if(devNoConfirmNr==1){ devNoConfirmNr = 0; }
        }
      }
    }
  });

  if( firebase.auth().currentUser ){
    $(".readmore td").hammer({ time: 0 }).on("press tap", function(ev){
      console.log("event: "+ev.type);
      toggleRead($(this), ev.type);
    });
  }

  $("#readmore-wrapper a").click(function(event){
    event.preventDefault();
    closePopup();
  });
}
function loadLog( planNr ){
  planNr = planNr || 0;
  database.ref('/users/'+uid+'/plans/'+planNr).once('value').then(function(snapshot){
    log = snapshot.child("log").val();
    focusOn[planNr] = [];
    for(var key in log){
      if(!isNumeric(key)){
        if(log[key] !== false){
          focusOn[planNr].push( key.slice(5) );
        }
      }
    }
  });
} // loadLog();


function toggleRead(that, type){
  var book = Number(that.parent().attr("id"));
  var chpt = Number(that.children("div").html() )-1;
  // console.log("click: "+book+"-"+chpt);
  if(type == "press"){
    /** DEV ** /if(appVersion.substr(0,1) == "d"){
      deviceConfirm("Set progress to "+book+": "+chpt+" for cursor "+devNoConfirmNr+"?\nDEV ONLY\n",function(){
        console.log("set progress: "+book+": "+chpt);
        database.ref('users/'+uid+'/plans/0/cursor/'+devNoConfirmNr).set({
          [book]: -1
        });
      });
      if(devNoConfirmNr==0){ devNoConfirmNr = 1; }
      else if(devNoConfirmNr==1){ devNoConfirmNr = 0; }
    }/* */
  }
  else if(type == "tap"){
    // if( log[ book ] ){
    if(log[book]=="*"){
      database.ref('users/'+uid+'/plans/0/log/'+book ).update({ [chpt]: 0 });

      $("#"+book).removeClass("readmore-read-book");
      $("#"+book+".readMore td").removeClass("readmore-read-chapter");
    }
    else {
      if( log[book] && log[book][chpt] ){
        // mark as un-read
        database.ref('users/'+uid+'/plans/0/log/'+book ).update({ [chpt]: 0 });

        $("#"+book).removeClass("readmore-read-book");
        that.removeClass("readmore-read-chapter");
      }
      else {
        // Marks chapter as read
        database.ref('users/'+uid+'/plans/0/log/'+book ).update({ [chpt]: 100000000 });


        /*// if progress is in the same book, change next book too: - 29.07.2019 commented because of a glitch.
        $.each( userData.plans[0].cursor, function( key, value ){
          if(book == key){
            // if( typeof progress[book] !== "undefined" ){
            database.ref('users/'+uid+'/plans/0/cursor/'+key).set({
              [book]: chpt
            });
          }
        });*/

        that.addClass("readmore-read-chapter");

        // check if the rest of the chapter is read
        for(j=0;j < books[ userBook ][book].chapters.length;j++){
          if(log[book]){
            if(!log[book][j] && j!=chpt){ break; }
          }
          else if(j!=chpt){
            break;
          }

          if( j == books[ userBook ][book].chapters.length-1 ){ $("#"+book).addClass("readmore-read-book"); }
        }
      }
    }
    loadLog();
  }
}




/*******************************/
/********* NOTES STUFF *********/
/*******************************/
function loadNotes( limBook, limChpt ){
  limBook = limBook || -1;
  limChpt = limChpt || -1;
  // if(limBook > -1 && limChpt > -1){
  //   console.log( "loading selected for one book:chapter" );
  //   return database.ref("notes/"+limBook+"/"+limChpt).once('value').then(function(snapshot){
  //     var notes = [];
  //     notesData = snapshot.val();
  //     console.log( notesData );
  //     for(noteID in notesData){
  //       note = notesData[noteID];
  //       if( note.author == uid || note.visibility == "public" ){
  //         notes[noteID] = note;
  //       }
  //     }
  //     console.log("loadNotes1(notes, "+limBook+", "+limChpt+")");
  //     loadNotes1(notes, limBook, limChpt);
  //   });
  // }
  // else {
    console.log("loading all notes!");
    return database.ref("notes/").once('value').then(function(snapshot){
      var notes = [];
      notesData = snapshot.val();

      $(".noteBox").remove();
      for(var noteID in notesData[0]){ // notesData[0] because of potential later lists
        currNote = notesData[0][noteID];
        if(currNote.text){
          console.log( notesData[0][noteID] );
          $("#pageblur-notes").show();

          var noteHTML = "<div class='noteBox'>";
          noteHTML += (currNote.title?"<h3>"+currNote.title+"</h3>":"");
          noteHTML += "<p>";
          noteHTML += currNote.text;
          noteHTML += "</p>";
          if(currNote.tags){
            for(var tag in currNote.tags){
              noteHTML += "<a href='#tag' class='tagLink'>"+currNote.tags[tag]+"</a>";
            }
          }
          noteHTML += (currNote.visibility != 'private'?"<p class='noteAuthor'>Bill Jobs</p>":"");
          noteHTML += "</div>";
          $("#notes").append(noteHTML);
        }
      }

      $(".tagLink").on('click', function(e){
        e.preventDefault();
        console.log( "search tag", $(this).html() );
        $("input.text").val($(this).html());
      });
      /*for(book in notesData){
        notes[book] = [];

        for(chpt in notesData[book]){
          notes[book][chpt] = [];

          for(noteID in notesData[book][chpt]){
            note = notesData[book][chpt][noteID];
            if( note.author == uid || note.visibility == "public" ){
              notes[book][chpt][noteID] = note;
            }
          }
        }
      }
      loadNotes1(notes);*/
    });
  // }
}
function loadNotes1(notes, limBook, limChpt){
  limBook = limBook || -1;
  limChpt = limChpt || -1;
  if(limBook > -1 && limChpt > -1){
    console.log( "one", notes );
    $("#notes .noteBox").remove(); // REMOVE HTML ONES

    for(var noteID in notes){
      var html = "";

      note = notes[noteID];
      html += "<div class='noteBox'>";
      if(note.title){ html += "  <h3>"+note.title+"</h3>"; }
      html += "  <p>"+note.text+"</p>";
      if(notes.tags){ html += "  <a>"+note.tags.slice("</a><a>")+"</a>"; }
      html += "</div>\n";

      $("#notes").append( html );
    }

    $("#pageblur-notes").show();
  }
  else {
    console.log( "all", notes );
  }
}
function createNote(book, chpt, newTitle, newText, newTags, visibility){
  newTags = newTags || [ "example" ];
  visibility = visibility || "private";
  var noteData = {
    author: uid,
    tags: newTags,
    text: newText,
    title: newTitle,
    visibility: visibility
  };

  var newNoteKey = database.ref("notes/"+book).child(chpt).push().key;

  var updates = {};
  updates['/notes/'+book+"/"+chpt+"/"+newNoteKey] = noteData;

  return database.ref("notes/"+book+"/"+chpt+"/"+newNoteKey).update( noteData );
  // database.ref("notes/"+book+"/"+chpt).update({  });
}




/********************************/
/********** PLAYGROUND **********/
/********************************/

// SWIPE RIGHT to go to the previous page
$("#main-content").hammer().bind("swiperight", function(ev){
  if( currentPage != startPage && currentPage != "group.html" && currentPage != "settings.html" && currentPage != "newplan-setup.html" && currentPage != "group_create.html" && currentPage != "demo.html" && currentPage != "new_password.html") { goBack(); }
});


// $("#main-content").hammer().bind("pan", function(ev) { alert(ev.type); })


/************* "DRAG DOWN THE MENU" *************/
// $(".navbar-inner").hammer().bind("pandown", function(ev){ toggleHiddenMenu('show'); })
// $("#hiddenMenu").hammer().bind("panup", function(ev){ toggleHiddenMenu('hide'); })

// $('#main-content').data('hammer').get('swipe').set({ treshold: 1 });

// var myElement = document.getElementById('main-content');  //https://stackoverflow.com/questions/44914390/how-to-initialize-and-set-options-in-hammer-js-in-angular-2-with-typescript ?
// var mc = new Hammer.Manager( myElement, { treshold: 1 } );
// mc.on("swipe", function(ev){
  // $("#goBack").click();
  // $("#testContent").html("Went back");
// });

// $( document ).hammer().bind("press", function(ev){ $( this ).remove(); })




// FJERN KOMMENTAR FOR NETTLESER UTGAVE!
//$(window).on('popstate', function (e) {
//
//  // Jobbet på dette 09.09.2018
//  // Vet om en feil hvis brukeren hopper lengre i historien enn ett hopp.
//  // Noe glitchy utenom
//  // Testet:  FF62, Chrome68, FF i android
//
//  var newURL = window.location.pathname;
//  if( newURL == "/" ){ newURL = "/"+startPage; }
//
//  if( newURL == "/"+pageHistory[ pageHistory.length -2 ] ){
//    console.log( "GO BACKWARD!" );
//    goBack();
//  }
//  else {
//    console.log( "GO FORWARD!" );
//    loadPage( window.location.pathname.substr(1), null, true );
//  }
//
//});


function deleteUserAndLog(){

  if(!firebase.auth().currentUser.isAnonymous){
    $("#main-content").html("<br><br><form id='deleteReauth'><input type='password' class='loginInput input-login' style='border: solid 2px #254b69;' placeholder='Password'><br><input type='submit' class='button-usersettings arange' style='padding-top: 2px; height: 60px;'></form>");
    $("#deleteReauth").on('submit',function(event){
      event.preventDefault();

      firebase.auth().signInWithEmailAndPassword( firebase.auth().currentUser.email, $("#deleteReauth input").val() )
      .then(function(){
        database
        .ref("users/"+firebase.auth().currentUser.uid)
        .set({})
        .then(function(){
          firebase.auth().currentUser.delete().then(function(){
            location.reload();
          });
        });
      });
    });
  }
  else {
    database
    .ref("users/"+firebase.auth().currentUser.uid)
    .set({})
    .then(function(){
      firebase.auth().currentUser.delete().then(function(){
        location.reload();
      });
    });
  }
}


// function deleteUserLog(){
//   if( firebase.auth().currentUser ){
//     var userId = firebase.auth().currentUser.uid;
//     // database.ref('users/' + userId + '/log' ).set({  }).then(function() { });
//   }
//   console.log("User log deleted");
// }


// WHILE DEVELOPING ON A PAGE
// with "window.history.pushState" disabled
// loadPage("profile.html","Profile");
if(appVersion.substr(0,1) == "d"){
  $.ajaxSetup ({
    // Disable caching of AJAX responses
    cache: false
  });
}
/********************************/
/********************************/
/********************************/




/********************************/
/******* Ugly JS By Hans ********/
/********************************/

// Pupup for uploading profile pictures, explaning users to use Libravatar.
/*function infoAboutLibravatar() {
  var libravatarPopup = document.getElementById("mylibravatarPopup");
  libravatarPopup.classList.toggle("show");
}

$("libravatarPopupClose").click(function(event){
  event.preventDefault();
  show();
});
/* */


// Pupup for editing group info.
/*function editGroupInfo() {
  var groupInfoPopup = document.getElementById("myGroupInfoPopup");
  groupInfoPopup.classList.toggle("showGroupInfo");
}

$("groupInfoPopupClose").click(function(event){
  event.preventDefault();
  showGroupInfo();
}); /* */

/********************************/
/********************************/
/********************************/
