var appVersion = "b0.4.0"; // b for beta - d for dev - da for dev in browser (ds for dev simulator)
var isAnon, setProgress, uid, lastUpdate, consoleTest, viz, currentPage, previousPage, deviceIsReady, settings, demoShown = false, userData = {}, currGroupID = "";
var startPage = "newplan.html";
var userEmail, displayName, userPhotoURL;
consoleTest = "AppVersion: "+ appVersion +"<br />\n";
consoleTest += "agents: "+ $("html").attr("class") +"<br />\n";

var setLanguage = "en"; // later edited by user settings
// var setLanguage = firebase.auth().languageCode();
// var setLanguage = firebase.auth().useDeviceLanguage();
if(navigator.language){
  if(navigator.language.slice(0,2) == "nb" || navigator.language == "no"){ setLanguage = "no"; }
}

function getNumberFromString( string ){
  newStr = "";
  $.each(string.split("."), function(key, value){
    if(isNumeric(Number(value))){
      newStr += value;
    }
    else {
      $.each(value.split(""), function(key1, value1){
        if(isNumeric(value1)){ newStr += value1; }
      });
    }
  });

  return Number( newStr );
}

// https://stackoverflow.com/a/31374433
var loadJS = function(url, implementationCode){
  var scriptTag = document.createElement('script');
  scriptTag.src = url;
  
  if(implementationCode){
    scriptTag.onload = implementationCode;
    scriptTag.onreadystatechange = implementationCode;
  }
  
  document.getElementById("main-content").appendChild(scriptTag);
};
// loadJS('yourcode.js', yourCodeToBeCalled);

/**** FIRESTORE TESTING ****/
// var firestoreTestingUID = "Mk72373VvkNzwFaRimmsarYjGCf2"+"someTextToFreeTheUID";
// NOTE: FIRESTORE IS BEHIND ON THE DATABASE UPDATE (naturally)
/**** FIRESTORE TESTING ****/


var pageHistory = [];
function goBack(){
  if(currentPage=="newplan-setup.html"){ //  disabled due to limited release: "|| currentPage=="group_create.html" " - // Disable back when slick is active. Assumes $("#wrapper-frontpage") as the slick-name
    if( $("#wrapper-frontpage").slick('slickCurrentSlide') > 0 ){
      $("#wrapper-frontpage").slick('slickPrev');
      return true;
    }
  }
  if( pageHistory.length <= 1 ){ loadPage( currentPage ); return true; }    // Gå til forsiden hvis det ikke er noe historie
  else if( pageHistory.length <= 2 ){ loadPage( pageHistory[0], "BiblePlan" ); return true; }    // Gå til forsiden hvis det ikke er noe historie
  else {
    if( pageHistory.length == 3 ){
      pageHistory.pop();
      loadPage( pageHistory[1] );
    }
    else if( pageHistory.length >= 4 ){
      pageHistory.pop();
      loadPage( pageHistory[ pageHistory.length-1 ] );
    }
    return true;
  }
}

// Initialize Firebase
var config = {
  apiKey: "AIzaSyBDVwQqOrvblDF9F1wCqmmnatS4QP0xJlE",
  authDomain: "bibleplan-ad7b9.firebaseapp.com",
  databaseURL: "https://bibleplan-ad7b9.firebaseio.com",
  projectId: "bibleplan-ad7b9",
  storageBucket: "bibleplan-ad7b9.appspot.com",
  messagingSenderId: "699386887880"
};
firebase.initializeApp(config);

if(!navigator.onLine){
  console.warn("Device is offline!");
}

var database = firebase.database();
database.ref('appInfo').once('value',function(snapshot){
  appInfo = snapshot.val();
});

var presetPlan = false, lastUpdate = Date.now()-60000, appInfo;
$(document).ready(function(){
firebase.auth().onAuthStateChanged(function(user){
  $("#main-content").html("");
  if(user){
    // // User logged in
    // if(!presetPlan){
    //   checkStartPage( user.uid );
    // }
    if(firebase.auth().languageCode){
      setLanguage = firebase.auth().languageCode;
    }

    isAnon = user.isAnonymous;
    uid = user.uid;
    userEmail = user.email || "";
    displayName = user.displayName || userEmail.split("@")[0] || "";
    userPhotoURL = user.photoURL || "/img/defaultprofile.svg";

    if( isAnon ){
      console.log("User is autheticated (anonymous)");
      consoleTest += "User is autheticated (anonymous)<br />\n";
    }
    else {
      console.log("User is autheticated");
      consoleTest += "User is autheticated<br />\n";
    }

    database.ref('users/' + uid ).once('value',function(snapshot){
      // console.log("userData loaded!");
      userData = snapshot.val();

      if( appVersion != userData.version ){  // migrate from oldV to newV
        migrateUser( userData.version, appVersion );
      }

      if(!presetPlan){
        checkStartPage( user.uid );
      }

      if(userData.plans && userData.plans[0]){
        userPlan = userData.plans[0];
        userBook = userPlan.reading;
        userDaily = userPlan.daily;

        setLanguage = userData.settings.language || setLanguage;
        firebase.auth().languageCode = setLanguage;
      }
      else {
        console.error("User has no readingplans");
      }

      loadNavMenu();

      // Update last used time if unused for 1 minute
      if(lastUpdate < Date.now() - 60000){
        database.ref('users/' + uid).update({
          version: appVersion,
          lastUse: Date.now()
        });
      }
      lastUpdate = Date.now();
    });

  }
  else {
    // User not logged in
    console.log("User is not logged in");

    checkStartPage();
  }
});

});

function migrateUser( oldV, newV ){
  // oldV is from database, newV is current app version (appVersion)
  if(getNumberFromString(oldV) >= getNumberFromString(newV)){
    if(getNumberFromString(oldV) > appInfo.lastDatabaseChangeCode && getNumberFromString(newV) < appInfo.lastDatabaseChangeCode){
      console.error("database is changed between this version ("+appVersion+") and user database version ("+oldV+")");
      alert("Due to a recent database-update, this older version of the app will not be compatible with your users data.");
      loadPage("#logout");
      return false;
    }
  }

  /** FROM 0.2.2 (or 0.2.5) **/
  if(getNumberFromString(oldV)==22 || getNumberFromString(oldV)==25){ // WHAT TO DO WHEN MIGRATING FROM 0.2.1 TO 0.2.2
    database.ref('users/'+uid+'/progress').once('value').then(function(snapshot){
      database.ref('users/'+uid+'/progress').set({
        0: snapshot.val()
      }).then(function(){ console.log("Migrate from 0.2.2 was succesful!"); });
    });
    oldV = "0.2.3";
  }
  /** FROM 0.2.3 **/
  if(getNumberFromString(oldV)==23){
    database.ref('users/'+uid).once('value').then(function(snapshot){
      firstData = snapshot.val();
      database.ref('users/'+uid).set({
        lastUse: firstData.lastUse,
        plans: {
          0: {
            cursor: firstData.progress,
            daily: firstData.settings.plan.daily,
            length: firstData.settings.plan.length,
            log: firstData.log,
            method: firstData.settings.plan.method,
            reading: firstData.settings.book,
            start: firstData.settings.plan.start
          }
        },
        settings: {
          language: firstData.settings.language,
          notification: firstData.settings.notification,
          weekdays: firstData.settings.plan.weekdays
        },
        version: appVersion
      }).then(function(){ console.log("Migrate from 0.2.3 succesful!"); });

    });

    oldV = "0.2.4";
  }
  // else {
  //   console.log("No migrating done from "+oldV+" to "+newV+"!");
  //   consoleTest += "No migrating done from "+oldV+" to "+newV+"!"+"<br />\n";
  // }
}
// function registerAnon(){
//   firebase.auth().signInAnonymously().then(function(){
//     database.ref('users/' + firebase.auth().currentUser.uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-" });
//     console.log("Registered anon");
//     consoleTest += "Registered Anon"+"<br />\n";
//   }).catch(function(error) {
//     // Handle Errors here.
//     var errorCode = error.code;
//     var errorMessage = error.message;
//     if(errorCode != 0){
//       console.log("AnonLogin error "+errorCode+": "+errorMessage);
//     }
//   });
// }
/** DEV **/ var phpStartPage = phpStartPage || false;
function checkStartPage(uid){
  if( window.location.pathname != "/new_password.html"){
    /** DEV **/if(phpStartPage !== false){
      loadPage(phpStartPage);
    }
    if(uid){
      return database.ref('/users/'+uid).once('value').then(function(snapshot){
        if( snapshot.val().plans ){
          // User has saved progress
          setProgress = true;
          startPage = "profile.html";
        }
        else {
          setProgress = false;
          startPage = "newplan.html";
        }
        if(!phpStartPage){ loadPage( startPage, "BiblePlan"); }
      });
    }
    else {
      setProgress = false;
      startPage = "newplan.html";
      loadPage( startPage, "BiblePlan");
      // loadPage( "demo.html", " ");
    }
  }
}

function loadNavMenu(){
  $("#navGroupList div").html("");
  
  if(userData.groups){
    $.each(userData.groups, function(key, value){
      $("#navGroupList div").append("<a href='#' gID='"+value.id+"'>"+value.name+"</a>");
    });
  }
    $("#navGroupList div").append("<a href='group_join.html' pageTitle='Join group'><img src='img/plus.svg' style='height:40px;margin: -13px;margin-bottom: -16px;'></a>");

    $("#navGroupList div a").click(function(e){
      e.preventDefault();
      $("#navGroupList").slideUp(200);
      currGroupID = $(this).attr("gID");
      newUrl = "group.html";
      title = $(this).html();
      if($(this).attr("pageTitle")){ 
        newUrl = $(this).attr("href");
        title = $(this).attr("pageTitle"); 
      }
      loadPage(newUrl, title);
    });
}
// firebase.auth().currentUser.


function doneLoading(){
  // console.log("doneLoading()");

  if(isAnon){
    // console.log("User is anonymous");
    // consoleTest += "User is anonymous"+"<br />";
    $(".authLink").html("<a href='login.html'>Log in</a>");
  }
  else {
    $(".authLink").html("<a href='#logout'>Log out</a>");
  }

  $("#main-content a").on("click",function(event){
    url = $( this ).attr("href");
    if( url.substr(0,4) != "http" ){
      event.preventDefault();
      title = $( this ).html();
      if($(this).attr("pageTitle")){ title = $(this).attr("pageTitle"); }
      loadPage( url, title );
    }
  });
}

// NAVIGATE TO NEW PAGE
// var url = "index.html"; // Current file
function loadPage( url, title ){
  closePopup(); // remove popup, if any
  // var goingForward = goingForward || false; // uncomment for web-edition - probably
  if(url == "index.html"){ url = startPage; }
  if(url == startPage){ pageHistory = []; }

  /** DEV **/
  // if(url == "dev.html" && appVersion.substr(0,1) == "d"){ url = "dev_int.html"; }
  if(url == "dev.html"){ url = "dev_int.html"; }

  if(url == "#logout"){
    // if(!isAnon){
      firebase.auth().signOut().then(function(){
          console.log('Signed Out');
          consoleTest += "Signed out"+"<br>\n";
          location.reload();
        }, function(error) {
          console.error('Sign Out Error', error);
        });
      // loadPage(startPage);
    // }
    // else {
      // console.log("User is Anonymous! Sign out prevented!");
    // }
  }
  else if( url == "goBack" ){ goBack(); }
  else if( url == "#goBack" ){ goBack(); }
  else if( url == "#" ){ console.log("Tried to access #"); alert("Page not made!"); }
  else if( url == "#!" ){  }
  else {
    title = title || "Bibleplan";
    if(url != "readmore.html" && (url != "privacy.html" || currentPage == "settings.html")){ // if url is a popup, do none of these things
      if(url == startPage || url == "group.html" || url == "settings.html"){
        $("#back-arrow").hide();
        pageHistory = [];
      }
      else {
        $("#back-arrow").show();
      }

      if(url == startPage){ // If user is on homepage
        // $("#back-arrow").hide();
        // $(".right-menu").show();
        title = "Bibleplan";
        $("#pageTitle").html( title );
        // if(url == "newplan.html") $("body").css("background", "rgb(37, 75, 105)");
        // else $("body").css("background", "");
      }
      else {
        // $("#back-arrow").show();
        // $(".right-menu").hide();
        $("#pageTitle").html( translator.get( title ) );
        // if(url == "newplan.html") $("body").css("background", "rgb(37, 75, 105)");
        // else $("body").css("background", "");
      }

      //
      if(url == "group.html"){
        $(".right-menu").show().unbind().click(function(){
          loadPage("group_settings.html", translator.get("Group settings"));
        });
      }
      else {
        $(".right-menu").hide();
      }
    }

    // FJERN KOMMENTAR FOR NETTLESER UTGAVE!
    //if( url != startPage && pageHistory.indexOf( url ) < 0 && !goingForward){
    //  window.history.pushState(null, title, url );
    //}


    // Readmore Popoup
    if(url == "readmore.html"){
      $("#popup").load(url+" #main-content", function(){
        showPopup();
        // console.log("Popup load complete ("+url+")");
        readmoreScripts();
      });
    }
    else if((url == "privacy.html" && currentPage != "settings.html") || url == "privacy.html#"){ // PRIVACY POPUP
      $("#popup").load(url+" #main-content", function(){
        $("#popup").first().css("background","#fff");
        showPopup();
        // console.log("Popup load complete ("+url+")");
        // $(".close").show();
        // if($.inArray("win", $("html").attr("class").split(" ") ) != -1 || $.inArray("android", $("html").attr("class").split(" ") ) != -1){
        //   $(".close").css("float","right");
        // }
      });
    }
    else if(url=="notes.html"){
      $("#popup").load(url+" #main-content", function(){
        showPopup();
        loadNotes();
      });
    }
    else {
      // $("#main-content").each(function(){ $(this).hide(); }); 29.07.2019 - to fix goBack()-glitches, leave every page in DOM until it's returned to!
      // $("#main-content").append( $("<div>").load(url, function(){
      $("#main-content").hide().load(url+" #main-content", function(){
        $( document ).scrollTop( 0 );

        // console.log("Load complete ("+url+")");
        if(url == startPage){ $("#main-content").show(); }
        else { $("#main-content").fadeIn('slow'); }

        /*** DEV ***/
        if(url == "dev.html" || url == "dev_int.html"){
          $(".deleteAccButton").show().click(function(e){ e.preventDefault(); deviceConfirm(translator.get("Are you sure you want to delete your account?"), "Yes", function(){ deleteUserAndLog(); }); });
          $("#devContent").html( consoleTest );
        }

        if( pageHistory.indexOf( url ) < 0 ){
          pageHistory.push( url );
          console.log("page history:",pageHistory);
        }
        else {
          newKey = pageHistory.indexOf(url);
          pageHistory.splice( newKey+1 );
        }

        loadScripts( url );
      });
    }
  }
  $('#hiddenMenu').hide();
}

function createPopup(html){
  $("body").append("<div id='popupblur"+insertNum()+"' class='pageblur element' style='display: table;'><div class='popupelem'>"+html+"</div></div>");
  
  $(document).scrollTop( 0 );
  $(document).one('click', closePopup);
  $(".popupelem").first().click(function(event){ event.stopPropagation(); });

}
function showPopup( element ){
  element = element || "#popup";
  element = $(element);
  $( document ).scrollTop( 0 ); element.scrollTop( 0 );
  // if($.inArray("gecko", $("html").attr("class").split(" ") ) == -1){
  //   $('html').css({ 'overflow': 'hidden', 'max-height': '100vh' });
  // }
  element.parent().css("display","table");
  $(document).one('click', closePopup); // <-- CLOSE popup when clicking anywhere
  element.first().click(function(event){ event.stopPropagation(); }); // hold menyen åpen hvis du trykker her

  $(".popupelem #navbar-colorbox, #popup #navbar-colorbox").remove(); // remove the colorbox that is put there behind navbar menu
  // if($.inArray("safari", $("html").attr("class").split(" ") ) == -1){ $("#main-content").css("filter", "blur(15px)"); } // REMOVED as support was added 08.11.2019

  if($(".close").length > 0){ //If .close exist, show it. And if android or windows, move it to the right.
    $(".close").show();
    if($.inArray("win", $("html").attr("class").split(" ") ) != -1 || $.inArray("android", $("html").attr("class").split(" ") ) != -1){
      $(".close").css("float","right");
    }
  }

  translator = $("#popup").translate({lang: setLanguage, t: dict}); // translate again
}
function closePopup( custom ){
  custom = custom || false;
  // If the "readmore" popup is closed, refresh profile-content.
  if(currentPage=="profile.html" && $("#popup").html().length > 0){
    $(".toRead").html("");    $(".toReadExtra").html("");
    ccount = 0;
    fetchDatabase();
  }

  // if(custom){
    $(".pageblur").remove();
  // }

  $("#popup").html("");
  $("#pageblur").hide();
  // $('html').css('overflow',''); //reneable scrolling
  $("#main-content").css("filter", "");

}

var insertNumber = 0;
function insertNum(){
  insertNumber++;
  return insertNumber;
}