var dontRead = [];
var newplanSetup = { notification: 1080, plan: { daily: 4, length: 180, weekdays: "0123456" } };
var newplanSetupPlan = { daily: 4, length: 180 };
var newplanSetupSett = { notification: 1080, weekdays: "0123456" };

  console.log("Loading NEWPLAN-SETUP scripts!");

  if( presetPlan && uid ){
    $("#newSetupNotif #profileHeadline").html(translator.get("Almost done"));
    $("#newSetupBook").remove();
    $("#newSetupPlan").remove();
    $("#newSetupReadMuliplePlaces").remove();
    $("#thirdSlideContinue").removeClass("arange_inactive");
    if(!isAnon){
      $("#newSetupUser").remove();
      $("#thirdSlideContinue").html(translator.get("Start reading")).removeClass("nextSlide").addClass("newplanSubmit");
    }
    else {
      $("#newSetupUser #profileHeadline").html(translator.get("Almost done"));
      $("#fourthSlideRegister").removeClass("arange_inactive");
      $("#fourthSlideSkip").removeClass("arange_inactive").css("color","rgb(24, 8, 255)");
    }
  }
  else if(uid){
    if(!isAnon){
      $("#newSetupUser").remove();
    }
    $("#thirdSlideContinue").html(translator.get("Start reading")).removeClass("nextSlide").addClass("newplanSubmit arange_inactive");
  }

  $("#wrapper-frontpage").slick({
    accessibility: false,
    arrows: false,
    infinite: false,
    touchThreshold: 10,
    draggable: false
  });

  $(".nextSlide").unbind().click(function(event){ event.preventDefault(); $("#wrapper-frontpage").slick('slickNext'); });

  // SETUP BOOKS
  newplanSetup.book = bothString;
  newplanSetupPlan.reading = bothString;
  var booksHtml = '<ul class="menu menuChecklist">\n';
  var bookCount = 0;
  for(;books[bothString];){
    if( typeof books[bothString][ bookCount ] !== 'undefined'){
      var thisBook = books[bothString][ bookCount ];
      booksHtml += '<li id="li'+bookCount+'"><label><a class="menutext menutextCheckmark"><input class="myinput bright checkboxListmenu" type="checkbox" checked="checked" id="sel'+bookCount+'" name="'+bookCount+'" /><input style="display: none;" type="checkbox" class="myinput bright focusBook" id="focus'+bookCount+'" name="focus'+bookCount+'">'+translator.get( thisBook.name )+'</a></label></li>';
      bookCount++;
    }
    else {
      break;
    }
  }
  booksHtml += '</ul>\n';
  $("#setupBooks").html(booksHtml);
  $(".selList").unbind().click(function(event){
    event.preventDefault();

    if($(this).attr('id') == "selAll"){ $(".checkboxListmenu").each(function(value, key){ $("#sel"+value).prop("checked",true); }); }
    else if($(this).attr('id') == "selNone"){ $(".checkboxListmenu").each(function(value, key){ $("#sel"+value).prop("checked",false); }); }
    else if($(this).attr('id') == "selNT"){
      $(".checkboxListmenu").each(function(value, key){
        if(value < 39){ $("#sel"+value).prop("checked",false); }
        else { $("#sel"+value).prop("checked",true); }
      });
    }
    else if($(this).attr('id') == "selOT"){
      $(".checkboxListmenu").each(function(value, key){
        if(value < 39){ $("#sel"+value).prop("checked",true); }
        else { $("#sel"+value).prop("checked",false); }
      });
    }
  });
  $("input[name=focusOn]").on('change', function(){
    if( $(this).val() == "doFocus" ){
      $(".focusBook").show();
    }
    else {
      $(".focusBook").hide();
    }
  });
  $(".checkboxListmenu, .selList").on('click',function(){
    $(".chStart").prop("checked",false);
    $("#chStartSelect").hide();
    $("#chStartContinue").addClass("arange_inactive");
  });
  // $("#setupBooks input").click(function(event){
  //   // $("input:checked").val()
  //   console.log("Click: "+$(this).attr("name")+" is checked ("+$(this).is(":checked")+")");
  // });

  // CHECK every book up until 55 as uncheked:
  // $(".checkboxListmenu").each(function(value, key){ if(value < 55){ $("#sel"+value).prop("checked",false); } });


  // Choose start
  newplanSetupPlan.cursor = { 0: { 0: -1 } }; //default
  $(".chStart").on('change', function(){
    if( $("input:checked.chStart").val() == "yes" ){
      $("#chStartSelect").show();
      $("#chStartContinue").addClass("arange_inactive");

      listElemHTML = "";
      $("input:checked.checkboxListmenu").each(function(key, value){
        bookListId = Number($(value).attr('id').slice(3));
        listElemHTML += "<option value='"+bookListId+"'>"+translator.get(books[bothString][bookListId].name)+"</option> ";
      });
      $(".chStartList").each(function(index){
        if($(this).attr("id")=="drop1"){ $(this).html(listElemHTML); }
        else {
          $(this).html("<option>--</option>"+listElemHTML);
        }
        $(this).on('change', function(){
          if($(this).val()){
            newplanSetupPlan.cursor[index] = [];
            newplanSetupPlan.cursor[index][$(this).val()] = -1;
            $("#chStartContinue").removeClass("arange_inactive");
          }
        });
      });
    }
    else {
      $("#chStartSelect").hide();
      $("#chStartContinue").removeClass("arange_inactive");
      newplanSetupPlan.cursor = { 0: { 0: -1 } }; //default
    }
  });



  // Reading method
  $(".pMethod").on('change', function(){
    if( $("input:checked.pMethod").val() == "methodDaily" ){
      $("#methodPlan-wrapper").hide();   $("#methodDaily-wrapper").show();
      newplanSetup.plan.method = "daily";
      newplanSetupPlan.method = "daily";
    }
    else if( $("input:checked.pMethod").val() == "methodPlan" ){
      $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").show();
      newplanSetup.plan.method = "plan";
      newplanSetupPlan.method = "plan";
    }
    else if( $("input:checked.pMethod").val() == "methodFree" ){
      $("#methodDaily-wrapper").hide();  $("#methodPlan-wrapper").hide();
      newplanSetup.plan.method = "free";
      newplanSetupPlan.method = "free";
    }
    // ENABLE BUTTONS
    $("#secondSlideContinue").removeClass("arange_inactive");
    $(".newplanSubmit").removeClass("arange_inactive");
    $("#fourthSlideSkip").css("color","rgb(24, 8, 255)");
  });

  // DAILY CHAPTERS
  // $("#dailyChapters").val(newplanSetup.plan.daily);
  $("#dailyChapters").val(newplanSetupPlan.daily);
  $("#dailyChapters").on('change', function(){
    newplanSetup.plan.daily = Number( $( this ).val() );
    newplanSetupPlan.daily = Number( $( this ).val() );
  });

  // FOLLOWING PLAN
  planStart = new Date();
  planEnd = new Date( planStart );
  // planEnd.setDate(planStart.getDate() + newplanSetup.plan.length);
  planEnd.setDate(planStart.getDate() + newplanSetupPlan.length);
  $("#planStart").val( planStart.toISOString().substr(0, 10) );  // start day
  $( "#planEnd" ).val( planEnd.toISOString().substr(0, 10) );    // end day
  // $("#planDynLength").html( translator.get("Plan length")+": "+newplanSetup.plan.length );
  $("#planDynLength").html( translator.get("Plan length")+": "+newplanSetupPlan.length );

  newplanSetup.plan.start = new Date( $("#planStart").val() ).getTime();
  newplanSetupPlan.start = new Date( $("#planStart").val() ).getTime();

  // UPDATE START DATE
  $("#planStart").on('change', function(){
    planStart = new Date( $( this ).val() );
    newplanSetup.plan.start = planStart.getTime();
    newplanSetupPlan.start = planStart.getTime();

    var newEnd = new Date( $("#planEnd").val() );
    var newEnd1 = Number(((newEnd - planStart) / (1000*60*60*24)).toFixed(0));

    $("#planDynLength").html( translator.get("Plan length")+": "+ newEnd1 );

    if( newEnd1 < 400 && newEnd1 > 0 ){
      newplanSetup.plan.length = newEnd1;
      newplanSetupPlan.length = newEnd1;
      $("#planDynLength").css("color","");
    }
    else {
      $("#planDynLength").css("color","#ff384d");
    }
  });

  // UPDATE PLAN LENGTH via end date
  $("#planEnd").on('change', function(){
    var newEnd = new Date( $( this ).val() );
    var newEnd1 = Number(((newEnd - planStart) / (1000*60*60*24)).toFixed(0));

    $("#planDynLength").html( translator.get("Plan length")+": "+ newEnd1 );

    if( newEnd1 < 400 && newEnd1 > 0 ){
      newplanSetup.plan.length = newEnd1;
      newplanSetupPlan.length = newEnd1;
      $("#planDynLength").css("color","");
    }
    else {
      $("#planDynLength").css("color","#ff384d");
    }
  });


  // Weekdays
  // weekdays = newplanSetup.plan.weekdays.split("");
  weekdays = newplanSetupSett.weekdays.split("");
  $("#weekday div").removeClass("weekdaySelected");
  $.each( weekdays, function( index, value ){
    weekday = value.toString();
    $("#weekday div#"+weekday).addClass("weekdaySelected");
  });

  $("#weekday div").on('click', function(){
    toggleThis = $( this ).attr('id').toString();
    if( weekdays.indexOf( toggleThis ) >= 0){
      if(weekdays.length > 1){
        key = weekdays.indexOf( toggleThis );
        weekdays.splice( key, 1 );
        newWeekdays = weekdays.join("");
        $(this).removeClass("weekdaySelected");
      }
    }
    else {
      weekdays.push( toggleThis );
      newWeekdays = weekdays.join("");
      $(this).addClass("weekdaySelected");
    }
    newplanSetup.plan.weekdays = newWeekdays;
    newplanSetupSett.weekdays = newWeekdays;
  });


  // Notifications
  // notiMinutes = newplanSetup.notification;
  notiMinutes = newplanSetupSett.notification;
  if(notiMinutes >= 0){
    $("#notificationTime").attr("disabled",false);
    $("#notificationToggle").attr('checked',true);

    notiHrs = Math.trunc( notiMinutes / 60 );
    notiMins = notiMinutes - ( notiHrs * 60 );
    $("#notificationTime").val( ("0" + notiHrs).slice(-2) + ":" + ("0" + notiMins).slice(-2) );

    $("#notificationTime").on('change', function(){
      newTime = $( this ).val().split(':');
      newVal = Number(newTime[1]) + ( Number(newTime[0]) * 60);
      newplanSetup.notification = newVal;
      newplanSetupSett.notification = newVal;
    });
  }
  else {
    $("#notificationTime").val("--:--").attr("disabled",true);
    $("#notificationToggle").attr('checked',false);
  }

  $("#notificationToggle").on('click', function(){
    if($("#notificationToggle").is(':checked')){
      newTogg = 60*12;
      $("#notificationTime").val("12:00").attr("disabled",false);
    }
    else {
      newTogg = -1;
      $("#notificationTime").val("").attr("disabled",true);
    }
    newplanSetup.notification = newTogg;
    newplanSetupSett.notification = newTogg;
  });


  // CREATE USER (translations)
  if($("#newSetupUser").length > 0){
    $("#register_usr_email").attr("placeholder",translator.get("Email"));
    $("#register_pwd").attr("placeholder",translator.get("Password"));
    $("#setupCreateTOS").html(
      $("#setupCreateTOS").html()
       .replace("I have read and accept the", translator.get("I have read and accept the"))
       .replace("Terms of Service", translator.get("Terms of Service"))
    );

    $("#privacyLink").unbind().click(function(event){
      event.preventDefault();
      loadPage( $(this).attr("href") );
    });
  }


  // SUBMIT BUTTON
  $(".newplanSubmit").unbind().click(function(event){
    event.preventDefault();

    if( !presetPlan ){

      dontRead = [];
      $("#setupBooks input").each(function(){
        if(!$(this).is(":checked")){
          // do something for every unchecked mark
          dontRead.push($(this).attr("name"));
        }
      });
      // console.log("User won't read these: "+dontRead.join(","));
      newLog = { 0: { 0: 'log' } };
      if(dontRead.length > 0){
        for(i=0;i<dontRead.length;i++){
          newLog[dontRead[i]] = false;
        }
      }
      // console.log("New log:", newLog);

      if(!$(this).hasClass("arange_inactive")){
        //SAVE PLAN
        newplanSetupPlan.log = newLog;

        if(!uid && $(this).attr("id")=="fourthSlideRegister"){
          if( $("#acceptTOS").is(":checked") ){
            firebase.auth().createUserWithEmailAndPassword( $("#register_usr_email").val(), $("#register_pwd").val() )
              .then(function(user){
                // what to do on success
                console.log("register success?", user);
                uid = user.uid;

                database.ref('users/' + uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-", settings: { language: setLanguage } });

                // DO THE THING
                database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
                database.ref('users/'+uid+'/settings').update( newplanSetupSett );

                location.reload();
              }, function(error) {
                // throw error message
                console.log("Register error", error);
                $("#registerErrors").show();
                clearTimeout( regErr );
                $("#registerErrors").html( getErrorMessage( error ) );
                regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
              });
          }
          else {
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          }
        }
        else if(!uid){
          firebase.auth().signInAnonymously().then(function(user){
            console.log("registering anon",user);
            uid = user.user.uid;
            database.ref('users/' + uid ).update({ registered: Date.now(), version: appVersion, lastUse: "-", settings: { language: setLanguage } });
            console.log("Registered anon");   consoleTest += "Registered Anon"+"<br />\n";

            // DO THE THING
            database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
            database.ref('users/'+uid+'/settings').update( newplanSetupSett );

            location.reload();
          });
        }
        else {
          // DO THE THING
          database.ref('users/'+uid+'/plans/0').set( newplanSetupPlan );
          database.ref('users/'+uid+'/settings').update( newplanSetupSett );

          // checkStartPage(uid);
          location.reload();
        }
      }

    }
    else {

      // WHEN THE PLAN IS ALREADY SET (eg: preset plan)
      if(!$(this).hasClass("arange_inactive")){ //not really relevant, but adding it anyway
        console.info("triggered preset plan submit");

        if(uid && isAnon && $(this).attr("id")=="fourthSlideRegister"){
          if( $("#acceptTOS").is(":checked") ){

            var credential = firebase.auth.EmailAuthProvider.credential($("#register_usr_email").val(), $("#register_pwd").val());
            firebase.auth().currentUser.linkAndRetrieveDataWithCredential(credential).then(function(usercred) {

              // UPDATE THE INFO HERE
              database.ref('users/'+uid+'/settings').update({ notification: newplanSetup.notification, weekdays: newplanSetup.plan.weekdays });
              presetPlan = false;

              // checkStartPage( uid );
              location.reload();

            }, function(error) {
                // throw error message
                console.log("Anon upgrade error", error);
                $("#registerErrors").show();
                clearTimeout( regErr );
                $("#registerErrors").html( getErrorMessage( error ) );
                regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
              });

          }
          else {
            $("#registerErrors").show();
            clearTimeout( regErr );
            $("#registerErrors").html( translator.get("Please check that you have read and agree to the Terms of Service!") );
            regErr = setTimeout(function() { $("#registerErrors").fadeOut(1000); }, 12500);
          }
        }
        else if(uid){
          // UPDATE THE INFO HERE
          database.ref('users/'+uid+'/settings').update({ notification: newplanSetup.notification, weekdays: newplanSetup.plan.weekdays });
          presetPlan = false;
          // checkStartPage( uid );
          location.reload();
        }
        else {
          console.warn( "Something went wrong, please try again!" );
          alert( "Something went wrong, please try again!" );
        }
      }
    }
  });

  // // FIX BROKEN PRIVACY LINK
  // $("#main-content a").on("click",function(event){
  //   url = $( this ).attr("href");
  //   if( url.substr(0,4) != "http" ){
  //     event.preventDefault();
  //     title = $( this ).html();
  //     loadPage( url, title );
  //   }
  // });

  // CSS-change for android (and windows)
  if($.inArray("safari", $("html").attr("class").split(" ") ) == -1){
    $(".start-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    $(".end-date").css({
      "width": "119px",
      "margin-left": "10px",
      "margin-right": "-101px",
      "margin-top": "15px",
      "float": "left"
    });

    if($( window ).width() <= 400){
      $(".start-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });

      $(".end-date").css({
        "margin-left": "-18px",
        "margin-right": "-72px"
      });
    }
  }

